(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[      5665,        150]
NotebookOptionsPosition[      5948,        140]
NotebookOutlinePosition[      6333,        158]
CellTagsIndexPosition[      6290,        155]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Spherical Harmonics", "Section",
 FontSize->24,
 FontColor->RGBColor[0.5019607843137255, 0., 0.]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`l9$$ = 2, $CellContext`m9$$ = 0, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`l9$$], 2, 
       Style["order l  ", FontFamily -> "Times", 22, Italic]}, {0, 1, 2, 3, 4,
       5, 6, 7}}, {{
       Hold[$CellContext`m9$$], 0, 
       Style["order m ", FontFamily -> "Times", 22, Italic]}, 
      Dynamic[
       Table[
       NMR`MatOp`k, {
        NMR`MatOp`k, -$CellContext`l9$$, $CellContext`l9$$, 1}]]}}, 
    Typeset`size$$ = {865., {202., 206.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`l9$2482$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`l9$$ = 2, $CellContext`m9$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`l9$$, $CellContext`l9$2482$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> GraphicsRow[{
         ParametricPlot3D[
          
          Evaluate[{
            Cos[$CellContext`p9] Sin[$CellContext`t9], Sin[$CellContext`p9] 
             Sin[$CellContext`t9], 
             Cos[$CellContext`t9]} Abs[
             
             SphericalHarmonicY[$CellContext`l9$$, $CellContext`m9$$, \
$CellContext`t9, $CellContext`p9]]], {$CellContext`p9, -Pi, 
           Pi}, {$CellContext`t9, 0, Pi}, 
          PlotRange -> {{-0.5, 0.5}, {-0.5, 0.5}, {-1.1, 1.1}}, Mesh -> False,
           PlotPoints -> {36, 18}, MaxRecursion -> ControlActive[0, 2], 
          ViewAngle -> 0.246, ImageSize -> {400, 377}, Axes -> False, 
          SphericalRegion -> True, Boxed -> False, PlotLabel -> Style[
            
            With[{$CellContext`l9 = $CellContext`l9$$, $CellContext`m9 = 
              Round[$CellContext`m9$$]}, 
             TraditionalForm[
              HoldForm[
               Abs[
                
                SphericalHarmonicY[$CellContext`l9, $CellContext`m9, \
$CellContext`\[Theta], $CellContext`\[Phi]]]]]], 20]], 
         ParametricPlot3D[
          
          Evaluate[{
            Cos[$CellContext`p9] Sin[$CellContext`t9], Sin[$CellContext`p9] 
             Sin[$CellContext`t9], 
             Cos[$CellContext`t9]} Re[
             
             SphericalHarmonicY[$CellContext`l9$$, $CellContext`m9$$, \
$CellContext`t9, $CellContext`p9]]], {$CellContext`p9, -Pi, 
           Pi}, {$CellContext`t9, 0, Pi}, 
          PlotRange -> {{-0.5, 0.5}, {-0.5, 0.5}, {-1.1, 1.1}}, Mesh -> False,
           PlotPoints -> {36, 18}, MaxRecursion -> ControlActive[0, 2], 
          ViewAngle -> 0.246, ImageSize -> {400, 377}, Axes -> False, 
          SphericalRegion -> True, Boxed -> False, PlotLabel -> Style[
            
            With[{$CellContext`l9 = $CellContext`l9$$, $CellContext`m9 = 
              Round[$CellContext`m9$$]}, 
             TraditionalForm[
              HoldForm[
               Re[
                
                SphericalHarmonicY[$CellContext`l9, $CellContext`m9, \
$CellContext`\[Theta], $CellContext`\[Phi]]]]]], 20]]}], 
      "Specifications" :> {{{$CellContext`l9$$, 2, 
          Style["order l  ", FontFamily -> "Times", 22, Italic]}, {0, 1, 2, 3,
          4, 5, 6, 7}}, {{$CellContext`m9$$, 0, 
          Style["order m ", FontFamily -> "Times", 22, Italic]}, 
         Dynamic[
          Table[
          NMR`MatOp`k, {
           NMR`MatOp`k, -$CellContext`l9$$, $CellContext`l9$$, 1}]]}}, 
      "Options" :> {ControlType -> Setter}, "DefaultOptions" :> {}],
     ImageSizeCache->{910., {260., 265.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"],

Cell["\<\
Absolute value and real part of Spherical harmonics.These functions give the \
angular part of the energy eigenfunctions for central potentials.Adapted from \
Mathematica Demo \"Spherical Harmonics\". Note that the allowed orders m of \
the spherical harmonics are limited between -l and +l.\
\>", "Text",
 FontSize->18]
}, Open  ]]
},
WindowSize->{1272, 684},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1257, 32, 103, 2, 76, "Section"],
Cell[1363, 36, 4236, 93, 542, "Output"],
Cell[5602, 131, 330, 6, 57, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature awpFHVUpzHC@oDwAs10nZ@Tp *)
