(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[      6440,        161]
NotebookOptionsPosition[      6734,        153]
NotebookOutlinePosition[      7196,        172]
CellTagsIndexPosition[      7153,        169]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`qq$$ = 6, $CellContext`zzz$$ = 88, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`zzz$$], 88, 
       Style["Atomic number Z", 16, "Helvetica"]}, 82, 94, 2}, {{
       Hold[$CellContext`qq$$], 6, 
       Style[
        Row[{"Alpha energy ", 
          Subscript["E", $CellContext`\[Alpha]], " (MeV)"}], 16, 
        "Helvetica"]}, 4, 9, 0.01}}, Typeset`size$$ = {700., {198., 202.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`zzz$251807$$ = 0, $CellContext`qq$251808$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`qq$$ = 6, $CellContext`zzz$$ = 88}, 
      "ControllerVariables" :> {
        Hold[$CellContext`zzz$$, $CellContext`zzz$251807$$, 0], 
        Hold[$CellContext`qq$$, $CellContext`qq$251808$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[{($CellContext`zzz$$/
          82) $CellContext`v[$CellContext`r], $CellContext`qq$$, -3.2 + 
         14.5 UnitStep[$CellContext`r - $CellContext`Ra[$CellContext`zzz$$, \
$CellContext`qq$$]], 
         $CellContext`psi[$CellContext`zzz$$, $CellContext`qq$$, \
$CellContext`r]}, {$CellContext`r, 0, 14}, Filling -> {1 -> Bottom}, 
        PlotStyle -> {{Thick, 
           ColorData["HTML"]["Navy"]}, {Thick, Orange}, {Gray}, {Thick, Red}},
         Exclusions -> None, 
        PlotRange -> {{0, 11 (82/$CellContext`zzz$$)}, {-3, 11}}, 
        MaxRecursion -> 10, ImageSize -> {700, 400}, LabelStyle -> 
        Directive[FontSize -> 16, Font -> "Helvetica"], AspectRatio -> 0.5, 
        Epilog -> {
          Inset[
           Text[
            Style[
             Subscript["E", $CellContext`\[Alpha]], 16, Orange, Bold, 
             "Helvetica"]], {($CellContext`Ra[$CellContext`zzz$$, \
$CellContext`qq$$] + 8)/2, $CellContext`qq$$ + 0.5}], 
          Inset[
           Text[
            Style[
             Subscript["V", "Z"], 16, 
             ColorData["HTML"]["Navy"], Bold, "Helvetica"]], {2.7, 7.5}], 
          Inset[
           Text[
            Style["MeV", 16, Black, "Helvetica"]], {0.4, 10.7}], 
          Inset[
           Text[
            Style[
            "Nucleus-\[Alpha] Separation (fm)", 16, Black, "Helvetica"]], {
           11 (82/$CellContext`zzz$$) - 1.5, -1.4}], 
          Inset[
           Text[
            Style[
             Row[{"Re[", 
               Subscript["\[Psi]", $CellContext`\[Alpha]], "(", 
               Style["r", Italic], ")]"}], Red, 16, Bold, 
             "Helvetica"]], {$CellContext`Ra[$CellContext`zzz$$, \
$CellContext`qq$$] - 0.6, -1}]}], 
      "Specifications" :> {{{$CellContext`zzz$$, 88, 
          Style["Atomic number Z", 16, "Helvetica"]}, 82, 94, 2, Appearance -> 
         "Labeled"}, {{$CellContext`qq$$, 6, 
          Style[
           Row[{"Alpha energy ", 
             Subscript["E", $CellContext`\[Alpha]], " (MeV)"}], 16, 
           "Helvetica"]}, 4, 9, 0.01, Appearance -> "Labeled"}}, 
      "Options" :> {}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{745., {256., 261.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`v[
         Pattern[$CellContext`r, 
          Blank[]]] := 
       Piecewise[{{-2, 0 <= $CellContext`r <= 3}, {
          9 + 1.4 Sqrt[0.25^2 - ($CellContext`r - 3.25)^2], 
           3 <= $CellContext`r <= 3.49}, {
          31.75202/$CellContext`r, $CellContext`r > 3.49}}], $CellContext`Ra[
         Pattern[$CellContext`zz, 
          Blank[]], 
         Pattern[$CellContext`qq, 
          Blank[]]] := (32 $CellContext`zz)/(
        82 $CellContext`qq), $CellContext`psi[
         Pattern[$CellContext`zz, 
          Blank[]], 
         Pattern[$CellContext`qq, 
          Blank[]], 
         Pattern[$CellContext`r, 
          Blank[]]] := 
       Piecewise[{{
          2 Cos[(3 - $CellContext`r) Pi $CellContext`qq], 0 <= $CellContext`r <= 
           3}, {2 Exp[(
              Log[0.5 $CellContext`a[$CellContext`zz, \
$CellContext`qq]]/($CellContext`Ra[$CellContext`zz, $CellContext`qq] - 
              3)) ($CellContext`r - 3)], 
           3 <= $CellContext`r <= $CellContext`Ra[$CellContext`zz, \
$CellContext`qq]}, {$CellContext`a[$CellContext`zz, $CellContext`qq] 
           Cos[($CellContext`r - $CellContext`Ra[$CellContext`zz, \
$CellContext`qq]) 
             Pi $CellContext`qq], $CellContext`r > \
$CellContext`Ra[$CellContext`zz, $CellContext`qq]}}], $CellContext`a[
         Pattern[$CellContext`zz, 
          Blank[]], 
         Pattern[$CellContext`qq, 
          Blank[]]] := (25 + 46.826 - 
         1.45382 ($CellContext`zz/Sqrt[$CellContext`qq]))/35, 
       Attributes[Subscript] = {NHoldRest}}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->192141910]
},
WindowSize->{1272, 684},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "Demonstration.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 5495, 121, 529, "Output",
 CellID->192141910]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature XvpEo6ytbZZ3QCg#J25TihOy *)
