(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[      7564,        202]
NotebookOptionsPosition[      7809,        191]
NotebookOutlinePosition[      8194,        209]
CellTagsIndexPosition[      8151,        206]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Bound States in an Infinite Potential Well", "Section",
 FontSize->24,
 FontColor->RGBColor[0.5019607843137255, 0., 0.]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{NMR`MatOp`a$$ = 
    4.1899999999999995`, $CellContext`Emax$$ = 25.75, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[NMR`MatOp`a$$], 2, 
       Style["Well width: L", 16]}, 0.1, 5}, {{
       Hold[$CellContext`Emax$$], 20, 
       Style[
        Row[{"Max Energy plotted: ", 
          Subscript["E", "max"]}], 16]}, 1, 40}}, Typeset`size$$ = {
    865., {161., 166.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, NMR`MatOp`a$1377376$$ = 
    0, $CellContext`Emax$1377377$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {NMR`MatOp`a$$ = 2, $CellContext`Emax$$ = 20}, 
      "ControllerVariables" :> {
        Hold[NMR`MatOp`a$$, NMR`MatOp`a$1377376$$, 0], 
        Hold[$CellContext`Emax$$, $CellContext`Emax$1377377$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> GraphicsRow[{
         Show[
          
          Block[{$CellContext`nmax = 
            Floor[(NMR`MatOp`a$$/Pi) Sqrt[2 $CellContext`Emax$$]]}, 
           Plot[
            Evaluate[
             
             Table[$CellContext`BoundStates[
               NMR`MatOp`t, NMR`MatOp`n, NMR`MatOp`a$$] + $CellContext`En[
               NMR`MatOp`n, NMR`MatOp`a$$], {
              NMR`MatOp`n, 1, $CellContext`nmax}]], {NMR`MatOp`t, -2, 10}, 
            PlotRange -> All, PlotLabel -> 
            Style["Wavefunction \[Psi](x)", 16, "Helvetica"], Filling -> 
            Table[NMR`MatOp`n -> $CellContext`En[
               NMR`MatOp`n, NMR`MatOp`a$$], {
              NMR`MatOp`n, 1, $CellContext`nmax}], ImageSize -> {400, 300}, 
            PlotStyle -> Thick, AxesOrigin -> {0, 0}, Ticks -> {Automatic, 
              Table[{
                $CellContext`En[NMR`MatOp`n, NMR`MatOp`a$$], 
                Style[
                 Subscript["E", 
                  ToString[NMR`MatOp`n]], 16, "Helvetica"]}, {
               NMR`MatOp`n, $CellContext`nmax}]}]], 
          Plot[
           $CellContext`V[
           NMR`MatOp`t, NMR`MatOp`a$$, 2 + $CellContext`Emax$$], {
           NMR`MatOp`t, -1, 6}, Filling -> {1 -> Bottom}, 
           PlotRange -> {0, $CellContext`Emax$$ + 1}]], 
         Show[
          
          Block[{$CellContext`nmax = 
            Floor[(NMR`MatOp`a$$/Pi) Sqrt[2 $CellContext`Emax$$]]}, 
           Plot[
            Evaluate[
             
             Table[$CellContext`BoundStates[
                NMR`MatOp`t, NMR`MatOp`n, NMR`MatOp`a$$]^2 + $CellContext`En[
               NMR`MatOp`n, NMR`MatOp`a$$], {
              NMR`MatOp`n, 1, $CellContext`nmax}]], {NMR`MatOp`t, -2, 10}, 
            PlotRange -> All, Filling -> 
            Table[NMR`MatOp`n -> $CellContext`En[
               NMR`MatOp`n, NMR`MatOp`a$$], {
              NMR`MatOp`n, 1, $CellContext`nmax}], ImageSize -> {400, 300}, 
            PlotStyle -> Thick, PlotLabel -> 
            Style["Probability density |\[Psi](x)\!\(\*SuperscriptBox[\(|\), \
\(2\)]\)", 16, "Helvetica"], AxesOrigin -> {0, 0}, Ticks -> {Automatic, 
              Table[{
                $CellContext`En[NMR`MatOp`n, NMR`MatOp`a$$], 
                Style[
                 Subscript["E", 
                  ToString[NMR`MatOp`n]], 16, "Helvetica"]}, {
               NMR`MatOp`n, $CellContext`nmax}]}]], 
          Plot[
           $CellContext`V[
           NMR`MatOp`t, NMR`MatOp`a$$, 2 + $CellContext`Emax$$], {
           NMR`MatOp`t, -1, 6}, Filling -> {1 -> Bottom}, 
           PlotRange -> {0, $CellContext`Emax$$ + 1}]]}], 
      "Specifications" :> {{{NMR`MatOp`a$$, 2, 
          Style["Well width: L", 16]}, 0.1, 5}, {{$CellContext`Emax$$, 20, 
          Style[
           Row[{"Max Energy plotted: ", 
             Subscript["E", "max"]}], 16]}, 1, 40}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{910., {219., 224.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`BoundStates[
         Pattern[NMR`MatOp`t, 
          Blank[]], 
         Pattern[NMR`MatOp`n, 
          Blank[]], 
         Pattern[NMR`MatOp`a, 
          Blank[]]] := If[0 < NMR`MatOp`t < NMR`MatOp`a, 
         Sin[(NMR`MatOp`n (Pi/NMR`MatOp`a)) NMR`MatOp`t]], $CellContext`En[
         Pattern[NMR`MatOp`n, 
          Blank[]], 
         Pattern[NMR`MatOp`a, 
          Blank[]]] := Pi^2 (NMR`MatOp`n^2/(NMR`MatOp`a^2 2)), 
       Attributes[Subscript] = {NHoldRest}, $CellContext`V[
         Pattern[$CellContext`tx, 
          Blank[]], 
         Pattern[NMR`Hamiltonian`L, 
          Blank[]], 
         Pattern[$CellContext`V0, 
          Blank[]]] := $CellContext`V0 - $CellContext`V0 (
         UnitStep[$CellContext`tx] - 
         UnitStep[$CellContext`tx - NMR`Hamiltonian`L])}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"],

Cell[TextData[{
 "Energy eigenstates for an infinite well, between [0,L]. Left: Wavefunction \
(stationary states: energy eigenfunctions). Right: Probability density of \
system\[CloseCurlyQuote]s position (for each stationary state represented on \
the left). The functions ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["w", "n"], " "}], TraditionalForm]]],
 "are shifted vertically for clarity. The shift corresponds to their energy ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["E", "n"], TraditionalForm]]],
 ". The controls set the well width and the maximum energy plotted: for a \
given maximum energy ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["E", "max"], TraditionalForm]]],
 " the number of energy levels ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["E", "n"], "<", 
    SubscriptBox["E", "max"], " "}], TraditionalForm]]],
 "is set by the well width."
}], "Text",
 FontSize->18],

Cell["Contributed by P. Cappellaro", "Text"]
}, Open  ]]
},
WindowSize->{1272, 684},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1257, 32, 126, 2, 76, "Section"],
Cell[1386, 36, 5441, 122, 460, "Output"],
Cell[6830, 160, 916, 26, 80, "Text"],
Cell[7749, 188, 44, 0, 29, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature xvDeN3vwihEseCK53TFjveaG *)
