(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[     10879,        261]
NotebookOptionsPosition[     11121,        250]
NotebookOutlinePosition[     11506,        268]
CellTagsIndexPosition[     11463,        265]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Bound States in a Square Potential Well", "Section",
 FontSize->24,
 FontColor->RGBColor[0.5019607843137255, 0., 0.]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`aa$$ = 2, $CellContext`V0$$ = -20, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`V0$$], -20, 
       Style[
       "Potential well depth \!\(\*SubscriptBox[\"V\", \"H\"]\)", 16, 
        "Helvetica"]}, -0.1, -40}, {{
       Hold[$CellContext`aa$$], 2, 
       Style["Potential well width a", 16, "Helvetica"]}, 1.5, 5}}, 
    Typeset`size$$ = {1000., {248., 252.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`V0$770$$ = 0, $CellContext`aa$771$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`aa$$ = 2, $CellContext`V0$$ = -20}, 
      "ControllerVariables" :> {
        Hold[$CellContext`V0$$, $CellContext`V0$770$$, 0], 
        Hold[$CellContext`aa$$, $CellContext`aa$771$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> GraphicsRow[{
         GraphicsRow[{
           Plot[{Tan[Pi $CellContext`ty] Pi $CellContext`ty, 
             
             Sqrt[($CellContext`aa$$ (Sqrt[(-2) $CellContext`V0$$]/2))^2 - (
               Pi $CellContext`ty)^2]}, {$CellContext`ty, 
             0, ($CellContext`aa$$ Sqrt[(-2) $CellContext`V0$$] + 10)/Pi}, 
            Ticks -> {
              Table[{$CellContext`tty, 
                Style[
                 TraditionalForm[$CellContext`tty Pi], 
                 14]}, {$CellContext`tty, 1/2, 
                
                Floor[($CellContext`aa$$ Sqrt[(-2) $CellContext`V0$$] + 10)/
                 Pi]}], Automatic}, 
            PlotRange -> {$CellContext`V0$$ 0.2 - 0.2, $CellContext`aa$$ 
              Sqrt[(-2) $CellContext`V0$$] 1.1}, 
            Exclusions -> {Cos[$CellContext`ty Pi] == 0}, AspectRatio -> 1.1, 
            PlotStyle -> {{Black, Thick}, {
               Darker[Red], Thick}}, PlotLabel -> 
            Style["Even Solutions (dashed) \n \[Kappa]=k tan(ka)\n\n \
\!\(\*SqrtBox[\(\*SubsuperscriptBox[\(z\), \(0\), \(2\)] - \
\*SuperscriptBox[\(z\), \(2\)]\)]\)=z tan(z)\n", 18, "Helvetica"]], 
           Plot[{(-Cot[$CellContext`ty Pi]) $CellContext`ty Pi, 
             
             Sqrt[($CellContext`aa$$ (Sqrt[(-2) $CellContext`V0$$]/2))^2 - (
               Pi $CellContext`ty)^2]}, {$CellContext`ty, 
             0, ($CellContext`aa$$ Sqrt[(-2) $CellContext`V0$$] + 10)/Pi}, 
            Ticks -> {
              Table[{$CellContext`tty, 
                Style[
                 TraditionalForm[$CellContext`tty Pi], 
                 12]}, {$CellContext`tty, 0, 
                
                Floor[($CellContext`aa$$ Sqrt[(-2) $CellContext`V0$$] + 10)/
                 Pi]}], Automatic}, 
            PlotRange -> {$CellContext`V0$$ 0.2 - 0.2, $CellContext`aa$$ 
              Sqrt[(-2) $CellContext`V0$$] 1.1}, 
            Exclusions -> {Sin[$CellContext`ty Pi] == 0}, AspectRatio -> 1.1, 
            PlotStyle -> {{Black, Thick}, {
               Darker[Green], Thick}}, PlotLabel -> 
            Style[" Odd Solutions (solid) \n \[Kappa]=-k cot(ka)\n\n \
\!\(\*SqrtBox[\(\*SubsuperscriptBox[\(z\), \(0\), \(2\)] - \
\*SuperscriptBox[\(z\), \(2\)]\)]\)=-z cot(z)\n", 18, "Helvetica"], 
            ImageSize -> {700, 1100}]}], 
         Show[
          Plot[
           Evaluate[
            Join[{
              $CellContext`V[
              NMR`MatOp`t, $CellContext`V0$$, $CellContext`aa$$]}, 
             $CellContext`BoundStatesOdd[
             NMR`MatOp`t, $CellContext`V0$$, $CellContext`aa$$]]], {
           NMR`MatOp`t, -3, 3}, Filling -> {1 -> Bottom}, 
           PlotRange -> {1, -40}, PlotStyle -> Thick, AspectRatio -> 1, 
           Exclusions -> 0, ImageSize -> {1400, 1400}], 
          Plot[
           Evaluate[
            $CellContext`BoundStatesEven[
            NMR`MatOp`t, $CellContext`V0$$, $CellContext`aa$$]], {
           NMR`MatOp`t, -3, 3}, PlotStyle -> Directive[{Thick, Dashed}]]]}, 
        ImageSize -> {1000, 500}, Alignment -> Center], 
      "Specifications" :> {{{$CellContext`V0$$, -20, 
          Style[
          "Potential well depth \!\(\*SubscriptBox[\"V\", \"H\"]\)", 16, 
           "Helvetica"]}, -0.1, -40}, {{$CellContext`aa$$, 2, 
          Style["Potential well width a", 16, "Helvetica"]}, 1.5, 5}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{1045., {306., 311.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`V[
         Pattern[$CellContext`tx, 
          Blank[]], 
         Optional[
          Pattern[$CellContext`V0, 
           Blank[]], 1], 
         Optional[
          Pattern[$CellContext`aa, 
           Blank[]], 1]] := $CellContext`V0 (
         UnitStep[$CellContext`tx + $CellContext`aa/2] - 
         UnitStep[$CellContext`tx - $CellContext`aa/
          2]), $CellContext`BoundStatesOdd[
         Pattern[$CellContext`tx, 
          Blank[]], 
         Pattern[$CellContext`V0, 
          Blank[]], 
         Pattern[$CellContext`aa, 
          Blank[]]] := 
       Block[{$CellContext`qo = \
$CellContext`BoundStateWaveNumbersOdd[$CellContext`V0, $CellContext`aa], \
$CellContext`tz = $CellContext`tx/$CellContext`aa, $CellContext`ko = 
          Sqrt[((-2) $CellContext`V0) $CellContext`aa^2 - $CellContext`qo^2], \
$CellContext`Ao = ($CellContext`aa Exp[-$CellContext`ko]) (
            1/$CellContext`ko + (1 - Sinc[$CellContext`qo])/(1 - 
             Cos[$CellContext`qo]))}, (((-Sign[$CellContext`tz]) 
             Exp[(-$CellContext`ko) Abs[$CellContext`tz]]) 
            UnitStep[Abs[$CellContext`tz] - 1/2] - (
            Exp[-($CellContext`ko/2)] (Sin[$CellContext`qo $CellContext`tz]/
             Sin[$CellContext`qo/2])) UnitStep[1/2 - Abs[$CellContext`tz]])/
          Sqrt[$CellContext`Ao] - ($CellContext`ko/$CellContext`aa)^2/
         2], $CellContext`BoundStateWaveNumbersOdd[
         Pattern[$CellContext`V0, 
          Blank[]], 
         Pattern[$CellContext`aa, 
          Blank[]]] := Chop[
         Block[{$CellContext`k0a = $CellContext`aa 
            Sqrt[(-2) $CellContext`V0], $CellContext`nn = 
           Floor[$CellContext`k0a/(2 Pi) - 1/2]}, 
          Table[
           ReplaceAll[$CellContext`qa, 
            
            FindRoot[(-$CellContext`qa) Cot[$CellContext`qa/2] == 
             Sqrt[$CellContext`k0a^2 - $CellContext`qa^2], {$CellContext`qa, (
               2 $CellContext`mm + 1 + 0.9) Pi}]], {$CellContext`mm, 
            0, $CellContext`nn}]]], $CellContext`BoundStatesEven[
         Pattern[$CellContext`tx, 
          Blank[]], 
         Pattern[$CellContext`V0, 
          Blank[]], 
         Pattern[$CellContext`aa, 
          Blank[]]] := 
       Block[{$CellContext`qe = \
$CellContext`BoundStateWaveNumbersEven[$CellContext`V0, $CellContext`aa], \
$CellContext`tz = $CellContext`tx/$CellContext`aa, $CellContext`ke = 
          Sqrt[((-2) $CellContext`V0) $CellContext`aa^2 - $CellContext`qe^2], \
$CellContext`Ae = ($CellContext`aa Exp[-$CellContext`ke]) (
            1/$CellContext`ke + (1 + Sinc[$CellContext`qe])/(1 + 
             Cos[$CellContext`qe]))}, (
           Exp[(-$CellContext`ke) Abs[$CellContext`tz]] 
            UnitStep[Abs[$CellContext`tz] - 1/2] + (
             Exp[-($CellContext`ke/2)] (Cos[$CellContext`qe $CellContext`tz]/
              Cos[$CellContext`qe/2])) UnitStep[1/2 - Abs[$CellContext`tz]])/
          Sqrt[$CellContext`Ae] - ($CellContext`ke/$CellContext`aa)^2/
         2], $CellContext`BoundStateWaveNumbersEven[
         Pattern[$CellContext`V0, 
          Blank[]], 
         Pattern[$CellContext`aa, 
          Blank[]]] := Chop[
         Block[{$CellContext`k0a = $CellContext`aa 
            Sqrt[(-2) $CellContext`V0]}, 
          Block[{$CellContext`nn = Floor[$CellContext`k0a/(2 Pi)]}, 
           Table[
            ReplaceAll[$CellContext`qa, 
             
             FindRoot[$CellContext`qa Tan[$CellContext`qa/2] == 
              Sqrt[$CellContext`k0a^2 - $CellContext`qa^2], {$CellContext`qa, \
(2 $CellContext`mm + 0.9) Pi}]], {$CellContext`mm, 0, $CellContext`nn}]]]]}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"],

Cell[TextData[{
 "Graphical solution for the energy eigenvalues and energy eigenstates for a \
finite well, between [-a/2,a/2]. \nLeft: Graphical solution of the energy \
eigenvalue equation. Right: Odd (solid lines) and even (dashed lines) energy \
eigenfunctions.  The eigenfunctions ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["w", "n"], " "}], TraditionalForm]]],
 "are shifted vertically for clarity. The shift corresponds to their energy ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["E", "n"], TraditionalForm]]],
 ". \nThe controls set the well width and the maximum energy plotted: for a \
given maximum energy ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["E", "max"], TraditionalForm]]],
 " the number of energy levels ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["E", "n"], "<", 
    SubscriptBox["E", "max"], " "}], TraditionalForm]]],
 "is set by the well width."
}], "Text",
 FontSize->18],

Cell["Contributed by P. Cappellaro", "Text"]
}, Open  ]]
},
WindowSize->{1272, 684},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1257, 32, 123, 2, 76, "Section"],
Cell[1383, 36, 8743, 181, 634, "Output"],
Cell[10129, 219, 929, 26, 103, "Text"],
Cell[11061, 247, 44, 0, 29, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature AvpyDr@7sYXv2AK0oovW#fH8 *)
