(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[     46355,       1285]
NotebookOptionsPosition[     46330,       1266]
NotebookOutlinePosition[     46671,       1281]
CellTagsIndexPosition[     46628,       1278]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Initialization", "Section",
 CellChangeTimes->{{3.5440406310919313`*^9, 3.5440406345707374`*^9}},
 FontColor->RGBColor[0.5019607843137255, 0., 0.]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"LL", "=", 
   RowBox[{"{", 
    RowBox[{
    "2", ",", "4", ",", "2", ",", "6", ",", "2", ",", "4", ",", "8", ",", "4",
      ",", "6", ",", "2", ",", "10", ",", "8", ",", "6", ",", "4", ",", "2", 
     ",", "12", ",", "10", ",", "8", ",", "6", ",", "4", ",", "2", ",", "14", 
     ",", "12"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"EL", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"1", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", 
       RowBox[{"3", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", 
       RowBox[{"1", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2", ",", 
       RowBox[{"5", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", 
       RowBox[{"1", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2", ",", 
       RowBox[{"3", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "3", ",", 
       RowBox[{"7", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "1", ",", 
       RowBox[{"3", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "3", ",", 
       RowBox[{"5", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "1", ",", 
       RowBox[{"1", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "4", ",", 
       RowBox[{"9", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "4", ",", 
       RowBox[{"7", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2", ",", 
       RowBox[{"5", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "2", ",", 
       RowBox[{"3", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "0", ",", 
       RowBox[{"1", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "5", ",", 
       RowBox[{"11", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "5", ",", 
       RowBox[{"9", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "3", ",", 
       RowBox[{"7", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "3", ",", 
       RowBox[{"5", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "1", ",", 
       RowBox[{"3", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "1", ",", 
       RowBox[{"1", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "6", ",", 
       RowBox[{"13", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "6", ",", 
       RowBox[{"11", "/", "2"}]}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"e0", "[", 
   RowBox[{"n_", ",", "l_"}], "]"}], ":=", 
  RowBox[{"n", "-", 
   RowBox[{".02", " ", 
    RowBox[{"l", "^", "2"}]}]}]}], "\n", 
 RowBox[{
  RowBox[{"e", "[", 
   RowBox[{"n_", ",", "l_", ",", "k_"}], "]"}], ":=", 
  RowBox[{"n", "-", 
   RowBox[{".02", " ", 
    RowBox[{"l", "^", "2"}]}], "+", 
   RowBox[{".1", " ", "k", " ", 
    RowBox[{"Boole", "[", 
     RowBox[{"3", ">", "l", ">", "0"}], "]"}]}], "+", 
   RowBox[{".05", " ", "k", " ", 
    RowBox[{"Boole", "[", 
     RowBox[{"l", "\[Equal]", "3"}], "]"}]}], "+", 
   RowBox[{".09", " ", "k", " ", 
    RowBox[{"Boole", "[", 
     RowBox[{"l", "\[Equal]", "4"}], "]"}]}], "+", 
   RowBox[{".045", " ", "k", " ", 
    RowBox[{"Boole", "[", 
     RowBox[{"l", "\[Equal]", "5"}], "]"}]}]}]}], "\n", 
 RowBox[{
  RowBox[{"ee", "[", "LL_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"LL", "[", 
           RowBox[{"[", "3", "]"}], "]"}], ">", 
          RowBox[{"LL", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"LL", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], "-", "1"}], ",", 
         RowBox[{"LL", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ",", 
      RowBox[{"n", "=", 
       RowBox[{
        RowBox[{"LL", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "+", "1"}]}], ",", 
      RowBox[{"l", "=", 
       RowBox[{"LL", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], ",", 
    RowBox[{"n", "-", 
     RowBox[{".02", " ", 
      RowBox[{"l", "^", "2"}]}], "+", 
     RowBox[{".1", " ", "k", " ", 
      RowBox[{"Boole", "[", 
       RowBox[{"3", ">", "l", ">", "0"}], "]"}]}], "+", 
     RowBox[{".05", " ", "k", " ", 
      RowBox[{"Boole", "[", 
       RowBox[{"l", "\[Equal]", "3"}], "]"}]}], "+", 
     RowBox[{".09", " ", "k", " ", 
      RowBox[{"Boole", "[", 
       RowBox[{"l", "\[Equal]", "4"}], "]"}]}], "+", 
     RowBox[{".045", " ", "k", " ", 
      RowBox[{"Boole", "[", 
       RowBox[{"l", "\[Equal]", "5"}], "]"}]}]}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"sI", "=", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<s\>\"", ",", "Italic"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"pI", "=", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<p\>\"", ",", "Italic"}], "]"}]}], ";", 
  RowBox[{"dI", "=", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<d\>\"", ",", "Italic"}], "]"}]}], ";", 
  RowBox[{"fI", "=", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}]}], ";", 
  RowBox[{"gI", "=", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<g\>\"", ",", "Italic"}], "]"}]}], ";", 
  RowBox[{"hI", "=", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<h\>\"", ",", "Italic"}], "]"}]}], ";", 
  RowBox[{"iI", "=", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<i\>\"", ",", "Italic"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"oc", "[", 
   RowBox[{"np_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Style", "[", 
   RowBox[{
    RowBox[{"Nest", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"\"\<\[FilledCircle]\>\"", "<>", "#1"}], "&"}], ",", 
      "\"\<\>\"", ",", "n"}], "]"}], ",", "8", ",", 
    RowBox[{"RGBColor", "[", 
     RowBox[{"np", ",", "0", ",", 
      RowBox[{"1", "-", "np"}]}], "]"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"foc", "[", 
   RowBox[{"n0_", ",", "np_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "=", "1"}], ",", 
      RowBox[{"ta", "=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"n", "=", "n0"}]}], "}"}], ",", 
    RowBox[{"While", "[", 
     RowBox[{
      RowBox[{"n", ">", "0"}], ",", 
      RowBox[{
       RowBox[{"ta", "=", 
        RowBox[{"Append", "[", 
         RowBox[{"ta", ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"oc", "[", 
             RowBox[{"np", ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"LL", "[", 
                  RowBox[{"[", "k", "]"}], "]"}], "<", "n"}], ",", 
                RowBox[{"LL", "[", 
                 RowBox[{"[", "k", "]"}], "]"}], ",", "n"}], "]"}]}], "]"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"1.75", ",", 
              RowBox[{"ee", "[", 
               RowBox[{"EL", "[", 
                RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"n", "=", 
        RowBox[{"n", "-", 
         RowBox[{"LL", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}]}], ";", 
       RowBox[{"k", "++"}], ";", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"n", "\[LessEqual]", "0"}], ",", 
         RowBox[{"Return", "[", "ta", "]"}]}], "]"}]}]}], "]"}]}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{"Levels", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Thick", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{".5", ",", 
                RowBox[{"e0", "[", 
                 RowBox[{"n", ",", "l"}], "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"e0", "[", 
                 RowBox[{"n", ",", "l"}], "]"}]}], "}"}]}], "}"}], "]"}], ",",
            "Thin", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"e0", "[", 
                 RowBox[{"n", ",", "l"}], "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"1.5", ",", 
                RowBox[{"e", "[", 
                 RowBox[{"n", ",", "l", ",", "k"}], "]"}]}], "}"}]}], "}"}], 
            "]"}], ",", "Thick", ",", 
           RowBox[{"Line", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"1.5", ",", 
                RowBox[{"e", "[", 
                 RowBox[{"n", ",", "l", ",", "k"}], "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", 
                RowBox[{"e", "[", 
                 RowBox[{"n", ",", "l", ",", "k"}], "]"}]}], "}"}]}], "}"}], 
            "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "1", ",", "6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"-", "1"}], ")"}], "^", "n"}]}], ")"}], "/", "2"}], 
           ",", "n", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", 
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{"l", "+", "1"}], ")"}]}], ",", "l", ",", 
           RowBox[{
            RowBox[{"2", " ", "l"}], "+", "1"}]}], "}"}]}], "]"}], ",", 
       "Thick", ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{".5", ",", "6.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", "6.5"}], "}"}]}], "}"}], "]"}], ",", "Thin", ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "6.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.5", ",", "6.225"}], "}"}]}], "}"}], "]"}], ",", "Thick",
        ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1.5", ",", "6.225"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2", ",", "6.225"}], "}"}]}], "}"}], "]"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"y", ",", "sI"}], "}"}], "]"}], ",", "8"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{".375", ",", 
             RowBox[{"e0", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"2", " ", "y"}], "-", "1", "+", 
                RowBox[{".02", " ", 
                 RowBox[{"Boole", "[", 
                  RowBox[{"y", ">", "1"}], "]"}]}]}], ",", "0"}], "]"}]}], 
            "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "1", ",", "3"}], "}"}]}], "]"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"y", ",", "pI"}], "}"}], "]"}], ",", "8"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{".375", ",", 
             RowBox[{"e0", "[", 
              RowBox[{
               RowBox[{"2", " ", "y"}], ",", "1"}], "]"}]}], "}"}]}], "]"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "1", ",", "3"}], "}"}]}], "]"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"y", ",", "dI"}], "}"}], "]"}], ",", "8"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{".375", ",", 
             RowBox[{"e0", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"2", " ", "y"}], "+", "1"}], ",", "2"}], "]"}]}], 
            "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"y", ",", "fI"}], "}"}], "]"}], ",", "8"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{".375", ",", 
             RowBox[{"e0", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"2", " ", "y"}], "+", "2"}], ",", "3"}], "]"}]}], 
            "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"1", ",", "gI"}], "}"}], "]"}], ",", "8"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{".375", ",", "4.68"}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"1", ",", "hI"}], "}"}], "]"}], ",", "8"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{".375", ",", "5.5"}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"1", ",", "iI"}], "}"}], "]"}], ",", "8"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{".375", ",", "6.5"}], "}"}]}], "]"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{
             RowBox[{"Row", "[", 
              RowBox[{"{", 
               RowBox[{"y", ",", 
                RowBox[{"Subscript", "[", 
                 RowBox[{"sI", ",", "\"\<1/2\>\""}], "]"}]}], "}"}], "]"}], 
             ",", "8"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"2.25", ",", 
             RowBox[{
              RowBox[{"2", " ", "y"}], "-", "1"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "1", ",", "3"}], "}"}]}], "]"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"y", ",", 
                  RowBox[{"Subscript", "[", 
                   RowBox[{"pI", ",", "\"\<3/2\>\""}], "]"}]}], "}"}], "]"}], 
               ",", "8"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"2.25", ",", 
               RowBox[{"e", "[", 
                RowBox[{
                 RowBox[{"2", " ", "y"}], ",", "1", ",", 
                 RowBox[{"-", "2"}]}], "]"}]}], "}"}]}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"y", ",", 
                  RowBox[{"Subscript", "[", 
                   RowBox[{"pI", ",", "\"\<1/2\>\""}], "]"}]}], "}"}], "]"}], 
               ",", "8"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"2.25", ",", 
               RowBox[{"e", "[", 
                RowBox[{
                 RowBox[{"2", " ", "y"}], ",", "1", ",", "1"}], "]"}]}], 
              "}"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "1", ",", "3"}], "}"}]}], "]"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"y", ",", 
                  RowBox[{"Subscript", "[", 
                   RowBox[{"dI", ",", "\"\<5/2\>\""}], "]"}]}], "}"}], "]"}], 
               ",", "8"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"2.25", ",", 
               RowBox[{"e", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"2", " ", "y"}], "+", "1"}], ",", "2", ",", 
                 RowBox[{"-", "3"}]}], "]"}]}], "}"}]}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"y", ",", 
                  RowBox[{"Subscript", "[", 
                   RowBox[{"dI", ",", "\"\<3/2\>\""}], "]"}]}], "}"}], "]"}], 
               ",", "8"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"2.25", ",", 
               RowBox[{"e", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"2", " ", "y"}], "+", "1"}], ",", "2", ",", "2"}], 
                "]"}]}], "}"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"y", ",", 
                  RowBox[{"Subscript", "[", 
                   RowBox[{"fI", ",", "\"\<7/2\>\""}], "]"}]}], "}"}], "]"}], 
               ",", "8"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"2.25", ",", 
               RowBox[{"e", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"2", " ", "y"}], "+", "2"}], ",", "3", ",", 
                 RowBox[{"-", "4"}]}], "]"}]}], "}"}]}], "]"}], ",", 
           RowBox[{"Text", "[", 
            RowBox[{
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Row", "[", 
                RowBox[{"{", 
                 RowBox[{"y", ",", 
                  RowBox[{"Subscript", "[", 
                   RowBox[{"fI", ",", "\"\<5/2\>\""}], "]"}]}], "}"}], "]"}], 
               ",", "8"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"2.25", ",", 
               RowBox[{"e", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"2", " ", "y"}], "+", "2"}], ",", "3", ",", "3"}], 
                "]"}]}], "}"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"Subscript", "[", 
               RowBox[{"gI", ",", "\"\<9/2\>\""}], "]"}]}], "}"}], "]"}], ",",
            "8"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"2.25", ",", 
           RowBox[{"e", "[", 
            RowBox[{"5", ",", "4", ",", 
             RowBox[{"-", "5"}]}], "]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"Subscript", "[", 
               RowBox[{"gI", ",", "\"\<7/2\>\""}], "]"}]}], "}"}], "]"}], ",",
            "8"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"2.25", ",", 
           RowBox[{"e", "[", 
            RowBox[{"5", ",", "4", ",", "4"}], "]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"Subscript", "[", 
               RowBox[{"hI", ",", "\"\<11/2\>\""}], "]"}]}], "}"}], "]"}], 
           ",", "8"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"2.25", ",", 
           RowBox[{"e", "[", 
            RowBox[{"6", ",", "5", ",", 
             RowBox[{"-", "6"}]}], "]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"Subscript", "[", 
               RowBox[{"hI", ",", "\"\<9/2\>\""}], "]"}]}], "}"}], "]"}], ",",
            "8"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"2.25", ",", 
           RowBox[{"e", "[", 
            RowBox[{"6", ",", "5", ",", "5"}], "]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"Subscript", "[", 
               RowBox[{"iI", ",", "\"\<13/2\>\""}], "]"}]}], "}"}], "]"}], 
           ",", "8"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"2.25", ",", "6.25"}], "}"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"200", ",", "600"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5440401983512993`*^9, 3.5440401983512993`*^9}},
 CellID->425239859],

Cell[BoxData[
 RowBox[{
  RowBox[{"plot", "=", 
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{"Pane", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Show", "[", 
          RowBox[{"Levels", ",", 
           RowBox[{"Graphics", "[", 
            RowBox[{
             RowBox[{"foc", "[", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Mod", "[", 
                   RowBox[{"mn", ",", "2"}], "]"}], "\[Equal]", "0"}], ",", 
                 "mp", ",", "mn"}], "]"}], ",", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Mod", "[", 
                   RowBox[{"mn", ",", "2"}], "]"}], "\[Equal]", "0"}], ",", 
                 "1", ",", "0"}], "]"}]}], "]"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"400", ",", "625"}], "}"}]}]}], "]"}], ",", 
           RowBox[{"Epilog", "\[Rule]", 
            RowBox[{"Inset", "[", 
             RowBox[{
              RowBox[{"Framed", "[", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{"IsotopeData", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"mp", ",", 
                    RowBox[{"mn", "+", "mp"}]}], "}"}], ",", 
                    "\"\<FullSymbol\>\""}], "]"}], "]"}], ",", "\"\<, \>\"", 
                    ",", 
                    RowBox[{"Superscript", "[", 
                    RowBox[{
                    RowBox[{"Text", "[", 
                    RowBox[{"IsotopeData", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"mp", ",", 
                    RowBox[{"mp", "+", "mn"}]}], "}"}], ",", "\"\<Spin\>\""}],
                     "]"}], "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"IsotopeData", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"mp", ",", 
                    RowBox[{"mp", "+", "mn"}]}], "}"}], ",", 
                    "\"\<Parity\>\""}], "]"}], "\[Equal]", "1"}], ",", 
                    "\"\<+\>\"", ",", "\"\<-\>\""}], "]"}]}], "]"}]}], "}"}], 
                  "]"}], ",", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"IsotopeData", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"mp", ",", 
                    RowBox[{"mn", "+", "mp"}]}], "}"}], ",", 
                    "\"\<Stable\>\""}], "]"}], ",", "Black", ",", "Gray"}], 
                  "]"}]}], "]"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{".8", ",", "1.5"}], "}"}]}], "]"}]}]}], "]"}], ",", 
         RowBox[{"Magnification", "\[Rule]", "1.5"}]}], "]"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"350", ",", "500"}], "}"}]}], ",", 
       RowBox[{"Scrollbars", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"False", ",", "True"}], "}"}]}], ",", 
       RowBox[{"ScrollPosition", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}]}]}], "]"}], ",", "Delimiter", ",", 
     RowBox[{"Row", "[", 
      RowBox[{"{", "\"\<    Neutron number N:\>\"", "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"mn", ",", "1", ",", "\"\<\>\""}], "}"}], ",", 
       RowBox[{"ControlType", "\[Rule]", "InputField"}]}], "}"}], ",", 
     "Delimiter", ",", 
     RowBox[{"Row", "[", 
      RowBox[{"{", "\"\<    Proton number Z:\>\"", "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"mp", ",", "1", ",", "\"\<\>\""}], "}"}], ",", 
       RowBox[{"ControlType", "\[Rule]", "InputField"}]}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
      RowBox[{"{", 
       RowBox[{"mn", ",", "mp"}], "}"}]}], ",", 
     RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.5440409061984143`*^9, 3.5440409084292183`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Shell Model", "Section",
 CellChangeTimes->{{3.5440406854424267`*^9, 3.544040690153635*^9}},
 FontColor->RGBColor[0.5019607843137255, 0., 0.]],

Cell[TextData[{
 StyleBox["Shell filling in the nuclear shell model.",
  FontWeight->"Bold"],
 " \nIn blue are neutrons and red protons (only the nucleons with an odd \
number are plotted -- or neutrons for even-even and odd-odd nuclides). \
Compare the shell-model prediction with the spin-parity of the nuclide (in \
black if the nucleus is stable or gray if unstable. If the provided \
combination of Z,N is not a valid nuclide, the label will show an error). "
}], "Text",
 CellChangeTimes->{{3.544040693710441*^9, 3.5440407304641056`*^9}},
 FontSize->16,
 Background->RGBColor[1, 1, 0.85]],

Cell[CellGroupData[{

Cell[BoxData["plot"], "Input",
 CellChangeTimes->{
  3.544040226228548*^9, {3.5440408892255845`*^9, 3.5440408935311923`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`mn$$ = 3, $CellContext`mp$$ = 2, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Row[{"    Neutron number N:"}]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`mn$$], 1, ""}}, {
      Hold[
       Row[{"    Proton number Z:"}]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`mp$$], 1, ""}}}, Typeset`size$$ = {
    350., {247., 253.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`mn$$ = 1, $CellContext`mp$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Style[
         Show[$CellContext`Levels, 
          Graphics[
           $CellContext`foc[
            If[
            Mod[$CellContext`mn$$, 2] == 
             0, $CellContext`mp$$, $CellContext`mn$$], 
            If[Mod[$CellContext`mn$$, 2] == 0, 1, 0]], 
           ImageSize -> {400, 625}], Epilog -> Inset[
            Framed[
             Style[
              Row[{
                Text[
                 
                 IsotopeData[{$CellContext`mp$$, $CellContext`mn$$ + \
$CellContext`mp$$}, "FullSymbol"]], ", ", 
                Superscript[
                 Text[
                  
                  IsotopeData[{$CellContext`mp$$, $CellContext`mp$$ + \
$CellContext`mn$$}, "Spin"]], 
                 If[
                 IsotopeData[{$CellContext`mp$$, $CellContext`mp$$ + \
$CellContext`mn$$}, "Parity"] == 1, "+", "-"]]}], 
              If[
               
               IsotopeData[{$CellContext`mp$$, $CellContext`mn$$ + \
$CellContext`mp$$}, "Stable"], Black, Gray]]], {0.8, 1.5}]], Magnification -> 
         1.5], ImageSize -> {350, 500}, Scrollbars -> {False, True}, 
        ScrollPosition -> {0, 600}], "Specifications" :> {Delimiter, 
        Row[{"    Neutron number N:"}], {{$CellContext`mn$$, 1, ""}, 
         ControlType -> InputField}, Delimiter, 
        Row[{"    Proton number Z:"}], {{$CellContext`mp$$, 1, ""}, 
         ControlType -> InputField}}, 
      "Options" :> {
       ControlPlacement -> Left, 
        TrackedSymbols :> {$CellContext`mn$$, $CellContext`mp$$}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{575., {276., 281.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`Levels = Graphics[{{{{{
              Thickness[Large], 
              Line[{{0.5, 1.}, {1, 1.}}], 
              Thickness[Tiny], 
              Line[{{1, 1.}, {1.5, 1.}}], 
              Thickness[Large], 
              Line[{{1.5, 1.}, {2, 1.}}]}, {
              Thickness[Large], 
              Line[{{0.5, 1.}, {1, 1.}}], 
              Thickness[Tiny], 
              Line[{{1, 1.}, {1.5, 1.}}], 
              Thickness[Large], 
              Line[{{1.5, 1.}, {2, 1.}}]}}}, {{{
              Thickness[Large], 
              Line[{{0.5, 1.98}, {1, 1.98}}], 
              Thickness[Tiny], 
              Line[{{1, 1.98}, {1.5, 1.78}}], 
              Thickness[Large], 
              Line[{{1.5, 1.78}, {2, 1.78}}]}, {
              Thickness[Large], 
              Line[{{0.5, 1.98}, {1, 1.98}}], 
              Thickness[Tiny], 
              Line[{{1, 1.98}, {1.5, 2.08}}], 
              Thickness[Large], 
              Line[{{1.5, 2.08}, {2, 2.08}}]}}}, {{{
              Thickness[Large], 
              Line[{{0.5, 3.}, {1, 3.}}], 
              Thickness[Tiny], 
              Line[{{1, 3.}, {1.5, 3.}}], 
              Thickness[Large], 
              Line[{{1.5, 3.}, {2, 3.}}]}, {
              Thickness[Large], 
              Line[{{0.5, 3.}, {1, 3.}}], 
              Thickness[Tiny], 
              Line[{{1, 3.}, {1.5, 3.}}], 
              Thickness[Large], 
              Line[{{1.5, 3.}, {2, 3.}}]}}, {{
              Thickness[Large], 
              Line[{{0.5, 2.92}, {1, 2.92}}], 
              Thickness[Tiny], 
              Line[{{1, 2.92}, {1.5, 2.62}}], 
              Thickness[Large], 
              Line[{{1.5, 2.62}, {2, 2.62}}]}, {
              Thickness[Large], 
              Line[{{0.5, 2.92}, {1, 2.92}}], 
              Thickness[Tiny], 
              Line[{{1, 2.92}, {1.5, 3.12}}], 
              Thickness[Large], 
              Line[{{1.5, 3.12}, {2, 3.12}}]}}}, {{{
              Thickness[Large], 
              Line[{{0.5, 3.98}, {1, 3.98}}], 
              Thickness[Tiny], 
              Line[{{1, 3.98}, {1.5, 3.78}}], 
              Thickness[Large], 
              Line[{{1.5, 3.78}, {2, 3.78}}]}, {
              Thickness[Large], 
              Line[{{0.5, 3.98}, {1, 3.98}}], 
              Thickness[Tiny], 
              Line[{{1, 3.98}, {1.5, 4.08}}], 
              Thickness[Large], 
              Line[{{1.5, 4.08}, {2, 4.08}}]}}, {{
              Thickness[Large], 
              Line[{{0.5, 3.82}, {1, 3.82}}], 
              Thickness[Tiny], 
              Line[{{1, 3.82}, {1.5, 3.6199999999999997`}}], 
              Thickness[Large], 
              Line[{{1.5, 3.6199999999999997`}, {2, 3.6199999999999997`}}]}, {
              Thickness[Large], 
              Line[{{0.5, 3.82}, {1, 3.82}}], 
              Thickness[Tiny], 
              Line[{{1, 3.82}, {1.5, 3.9699999999999998`}}], 
              Thickness[Large], 
              
              Line[{{1.5, 3.9699999999999998`}, {
                2, 3.9699999999999998`}}]}}}, {{{
              Thickness[Large], 
              Line[{{0.5, 5.}, {1, 5.}}], 
              Thickness[Tiny], 
              Line[{{1, 5.}, {1.5, 5.}}], 
              Thickness[Large], 
              Line[{{1.5, 5.}, {2, 5.}}]}, {
              Thickness[Large], 
              Line[{{0.5, 5.}, {1, 5.}}], 
              Thickness[Tiny], 
              Line[{{1, 5.}, {1.5, 5.}}], 
              Thickness[Large], 
              Line[{{1.5, 5.}, {2, 5.}}]}}, {{
              Thickness[Large], 
              Line[{{0.5, 4.92}, {1, 4.92}}], 
              Thickness[Tiny], 
              Line[{{1, 4.92}, {1.5, 4.62}}], 
              Thickness[Large], 
              Line[{{1.5, 4.62}, {2, 4.62}}]}, {
              Thickness[Large], 
              Line[{{0.5, 4.92}, {1, 4.92}}], 
              Thickness[Tiny], 
              Line[{{1, 4.92}, {1.5, 5.12}}], 
              Thickness[Large], 
              Line[{{1.5, 5.12}, {2, 5.12}}]}}, {{
              Thickness[Large], 
              Line[{{0.5, 4.68}, {1, 4.68}}], 
              Thickness[Tiny], 
              Line[{{1, 4.68}, {1.5, 4.2299999999999995`}}], 
              Thickness[Large], 
              Line[{{1.5, 4.2299999999999995`}, {2, 4.2299999999999995`}}]}, {
              Thickness[Large], 
              Line[{{0.5, 4.68}, {1, 4.68}}], 
              Thickness[Tiny], 
              Line[{{1, 4.68}, {1.5, 5.04}}], 
              Thickness[Large], 
              Line[{{1.5, 5.04}, {2, 5.04}}]}}}, {{{
              Thickness[Large], 
              Line[{{0.5, 5.98}, {1, 5.98}}], 
              Thickness[Tiny], 
              Line[{{1, 5.98}, {1.5, 5.78}}], 
              Thickness[Large], 
              Line[{{1.5, 5.78}, {2, 5.78}}]}, {
              Thickness[Large], 
              Line[{{0.5, 5.98}, {1, 5.98}}], 
              Thickness[Tiny], 
              Line[{{1, 5.98}, {1.5, 6.08}}], 
              Thickness[Large], 
              Line[{{1.5, 6.08}, {2, 6.08}}]}}, {{
              Thickness[Large], 
              Line[{{0.5, 5.82}, {1, 5.82}}], 
              Thickness[Tiny], 
              Line[{{1, 5.82}, {1.5, 5.62}}], 
              Thickness[Large], 
              Line[{{1.5, 5.62}, {2, 5.62}}]}, {
              Thickness[Large], 
              Line[{{0.5, 5.82}, {1, 5.82}}], 
              Thickness[Tiny], 
              Line[{{1, 5.82}, {1.5, 5.970000000000001}}], 
              Thickness[Large], 
              Line[{{1.5, 5.970000000000001}, {2, 5.970000000000001}}]}}, {{
              Thickness[Large], 
              Line[{{0.5, 5.5}, {1, 5.5}}], 
              Thickness[Tiny], 
              Line[{{1, 5.5}, {1.5, 5.23}}], 
              Thickness[Large], 
              Line[{{1.5, 5.23}, {2, 5.23}}]}, {
              Thickness[Large], 
              Line[{{0.5, 5.5}, {1, 5.5}}], 
              Thickness[Tiny], 
              Line[{{1, 5.5}, {1.5, 5.725}}], 
              Thickness[Large], 
              Line[{{1.5, 5.725}, {2, 5.725}}]}}}}, 
          Thickness[Large], 
          Line[{{0.5, 6.5}, {1, 6.5}}], 
          Thickness[Tiny], 
          Line[{{1, 6.5}, {1.5, 6.225}}], 
          Thickness[Large], 
          Line[{{1.5, 6.225}, {2, 6.225}}], {
           Text[
            Style[
             Row[{1, 
               Style["s", Italic]}], 8], {0.375, 1.}], 
           Text[
            Style[
             Row[{2, 
               Style["s", Italic]}], 8], {0.375, 3.02}], 
           Text[
            Style[
             Row[{3, 
               Style["s", Italic]}], 8], {0.375, 5.02}]}, {
           Text[
            Style[
             Row[{1, 
               Style["p", Italic]}], 8], {0.375, 1.98}], 
           Text[
            Style[
             Row[{2, 
               Style["p", Italic]}], 8], {0.375, 3.98}], 
           Text[
            Style[
             Row[{3, 
               Style["p", Italic]}], 8], {0.375, 5.98}]}, {
           Text[
            Style[
             Row[{1, 
               Style["d", Italic]}], 8], {0.375, 2.92}], 
           Text[
            Style[
             Row[{2, 
               Style["d", Italic]}], 8], {0.375, 4.92}]}, {
           Text[
            Style[
             Row[{1, 
               Style["f", Italic]}], 8], {0.375, 3.82}], 
           Text[
            Style[
             Row[{2, 
               Style["f", Italic]}], 8], {0.375, 5.82}]}, 
          Text[
           Style[
            Row[{1, 
              Style["g", Italic]}], 8], {0.375, 4.68}], 
          Text[
           Style[
            Row[{1, 
              Style["h", Italic]}], 8], {0.375, 5.5}], 
          Text[
           Style[
            Row[{1, 
              Style["i", Italic]}], 8], {0.375, 6.5}], {
           Text[
            Style[
             Row[{1, 
               Subscript[
                Style["s", Italic], "1/2"]}], 8], {2.25, 1}], 
           Text[
            Style[
             Row[{2, 
               Subscript[
                Style["s", Italic], "1/2"]}], 8], {2.25, 3}], 
           Text[
            Style[
             Row[{3, 
               Subscript[
                Style["s", Italic], "1/2"]}], 8], {2.25, 5}]}, {{
            Text[
             Style[
              Row[{1, 
                Subscript[
                 Style["p", Italic], "3/2"]}], 8], {2.25, 1.78}], 
            Text[
             Style[
              Row[{1, 
                Subscript[
                 Style["p", Italic], "1/2"]}], 8], {2.25, 2.08}]}, {
            Text[
             Style[
              Row[{2, 
                Subscript[
                 Style["p", Italic], "3/2"]}], 8], {2.25, 3.78}], 
            Text[
             Style[
              Row[{2, 
                Subscript[
                 Style["p", Italic], "1/2"]}], 8], {2.25, 4.08}]}, {
            Text[
             Style[
              Row[{3, 
                Subscript[
                 Style["p", Italic], "3/2"]}], 8], {2.25, 5.78}], 
            Text[
             Style[
              Row[{3, 
                Subscript[
                 Style["p", Italic], "1/2"]}], 8], {2.25, 6.08}]}}, {{
            Text[
             Style[
              Row[{1, 
                Subscript[
                 Style["d", Italic], "5/2"]}], 8], {2.25, 2.62}], 
            Text[
             Style[
              Row[{1, 
                Subscript[
                 Style["d", Italic], "3/2"]}], 8], {2.25, 3.12}]}, {
            Text[
             Style[
              Row[{2, 
                Subscript[
                 Style["d", Italic], "5/2"]}], 8], {2.25, 4.62}], 
            Text[
             Style[
              Row[{2, 
                Subscript[
                 Style["d", Italic], "3/2"]}], 8], {2.25, 5.12}]}}, {{
            Text[
             Style[
              Row[{1, 
                Subscript[
                 Style["f", Italic], "7/2"]}], 8], {2.25, 
             3.6199999999999997`}], 
            Text[
             Style[
              Row[{1, 
                Subscript[
                 Style["f", Italic], "5/2"]}], 8], {2.25, 
             3.9699999999999998`}]}, {
            Text[
             Style[
              Row[{2, 
                Subscript[
                 Style["f", Italic], "7/2"]}], 8], {2.25, 5.62}], 
            Text[
             Style[
              Row[{2, 
                Subscript[
                 Style["f", Italic], "5/2"]}], 8], {2.25, 
             5.970000000000001}]}}, 
          Text[
           Style[
            Row[{1, 
              Subscript[
               Style["g", Italic], "9/2"]}], 8], {2.25, 4.2299999999999995`}], 
          Text[
           Style[
            Row[{1, 
              Subscript[
               Style["g", Italic], "7/2"]}], 8], {2.25, 5.04}], 
          Text[
           Style[
            Row[{1, 
              Subscript[
               Style["h", Italic], "11/2"]}], 8], {2.25, 5.23}], 
          Text[
           Style[
            Row[{1, 
              Subscript[
               Style["h", Italic], "9/2"]}], 8], {2.25, 5.725}], 
          Text[
           Style[
            Row[{1, 
              Subscript[
               Style["i", Italic], "13/2"]}], 8], {2.25, 6.25}]}, 
         ImageSize -> {200, 600}], 
       Attributes[Subscript] = {NHoldRest}, $CellContext`foc[
         Pattern[$CellContext`n0, 
          Blank[]], 
         Pattern[$CellContext`np, 
          Blank[]]] := 
       Module[{NMR`MatOp`k = 1, $CellContext`ta = {}, 
          NMR`MatOp`n = $CellContext`n0}, 
         While[NMR`MatOp`n > 0, $CellContext`ta = Append[$CellContext`ta, 
             Text[
              $CellContext`oc[$CellContext`np, 
               If[Part[$CellContext`LL, NMR`MatOp`k] < NMR`MatOp`n, 
                Part[$CellContext`LL, NMR`MatOp`k], NMR`MatOp`n]], {1.75, 
               $CellContext`ee[
                Part[$CellContext`EL, NMR`MatOp`k]]}]]; 
          NMR`MatOp`n = NMR`MatOp`n - Part[$CellContext`LL, NMR`MatOp`k]; 
          Increment[NMR`MatOp`k]; If[NMR`MatOp`n <= 0, 
            Return[$CellContext`ta]]]], $CellContext`oc[
         Pattern[$CellContext`np, 
          Blank[]], 
         Pattern[NMR`MatOp`n, 
          Blank[]]] := Style[
         Nest[StringJoin["\[FilledCircle]", #]& , "", NMR`MatOp`n], 8, 
         RGBColor[$CellContext`np, 0, 
          1 - $CellContext`np]], $CellContext`LL = {2, 4, 2, 6, 2, 4, 8, 4, 6,
         2, 10, 8, 6, 4, 2, 12, 10, 8, 6, 4, 2, 14, 12}, $CellContext`ee[
         Pattern[$CellContext`LL, 
          Blank[]]] := 
       Block[{NMR`MatOp`k = 
          If[Part[$CellContext`LL, 3] > 
            Part[$CellContext`LL, 2], -Part[$CellContext`LL, 2] - 1, 
            Part[$CellContext`LL, 2]], NMR`MatOp`n = 
          Part[$CellContext`LL, 1] + 1, $CellContext`l = 
          Part[$CellContext`LL, 2]}, NMR`MatOp`n - 0.02 $CellContext`l^2 + 
         0.1 NMR`MatOp`k Boole[3 > $CellContext`l > 0] + 
         0.05 NMR`MatOp`k Boole[$CellContext`l == 3] + 
         0.09 NMR`MatOp`k Boole[$CellContext`l == 4] + 
         0.045 NMR`MatOp`k Boole[$CellContext`l == 5]], $CellContext`EL = {{
         0, 0, 1/2}, {1, 1, 3/2}, {1, 1, 1/2}, {2, 2, 5/2}, {2, 0, 1/2}, {
         2, 2, 3/2}, {3, 3, 7/2}, {3, 1, 3/2}, {3, 3, 5/2}, {3, 1, 1/2}, {
         4, 4, 9/2}, {4, 4, 7/2}, {4, 2, 5/2}, {4, 2, 3/2}, {4, 0, 1/2}, {
         5, 5, 11/2}, {5, 5, 9/2}, {5, 3, 7/2}, {5, 3, 5/2}, {5, 1, 3/2}, {
         5, 1, 1/2}, {6, 6, 13/2}, {6, 6, 11/2}}, 
       Attributes[Superscript] = {NHoldRest, ReadProtected}}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.544040872268355*^9, 3.5440409156832314`*^9}]
}, Open  ]],

Cell[TextData[{
 "Contributed by: P. Cappellaro (credits to \[NonBreakingSpace]",
 ButtonBox["S. M. Blinder, ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=S.+M.+Blinder"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=S.+M.+Blinder"],
 "\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
MagicNumbersInTheNuclearShellModel/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/MagicNumbersInTheNuclearShellModel/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/MagicNumbersInTheNuclearShellModel/"],
 ")"
}], "Text",
 CellChangeTimes->{3.544040751602143*^9}]
}, Open  ]]
},
WindowSize->{716, 553},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1257, 32, 153, 2, 71, "Section"],
Cell[1413, 36, 22092, 629, 952, "Input",
 InitializationCell->True,
 CellID->425239859],
Cell[23508, 667, 4468, 110, 352, "Input",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[28013, 782, 148, 2, 41, "Section"],
Cell[28164, 786, 594, 11, 137, "Text"],
Cell[CellGroupData[{
Cell[28783, 801, 125, 2, 31, "Input"],
Cell[28911, 805, 16661, 435, 574, "Output"]
}, Open  ]],
Cell[45587, 1243, 727, 20, 47, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature LvDMn0mmxNBSbAwHq5PFOWZV *)
