(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[     23883,        632]
NotebookOptionsPosition[     23492,        601]
NotebookOutlinePosition[     23856,        617]
CellTagsIndexPosition[     23813,        614]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[StyleBox["Neutron Scattering",
 FontFamily->"Arial",
 FontSize->24,
 FontColor->RGBColor[0.5019607843137255, 0., 0.]]], "Section",
 CellChangeTimes->{{3.545419669729768*^9, 3.5454196735049744`*^9}}],

Cell[CellGroupData[{

Cell["Definitions", "Subsection",
 CellChangeTimes->{{3.5453823628533*^9, 3.54538236879709*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Pr1", "[", 
   RowBox[{"E1_", ",", "E0_", ",", "A_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"UnitBox", "[", 
    RowBox[{
     RowBox[{"E1", "/", 
      RowBox[{"(", 
       RowBox[{"2", " ", 
        RowBox[{"E0", "/", 
         RowBox[{"(", 
          RowBox[{"A", "+", "1"}], ")"}]}]}], ")"}]}], "-", 
     RowBox[{"A", "/", "2"}]}], "]"}], 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"A", "+", "1"}], ")"}], "^", "2"}], "/", 
    RowBox[{"(", 
     RowBox[{"4", " ", "A", " ", "E0"}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.545349753195018*^9, 3.545349767997526*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Pr2", "[", 
   RowBox[{"E2_", ",", "E0_", ",", "A_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"UnitBox", "[", 
     RowBox[{
      RowBox[{"E2", "/", 
       RowBox[{"(", 
        RowBox[{"2", " ", 
         RowBox[{"E0", "/", 
          RowBox[{"(", 
           RowBox[{"A", "+", "1"}], ")"}]}]}], ")"}]}], "-", 
      RowBox[{"A", "/", "2"}]}], "]"}], 
    FractionBox[
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "A"}], ")"}], "4"], " ", 
      RowBox[{"Log", "[", 
       FractionBox["E0", "E2"], "]"}]}], 
     RowBox[{"16", " ", 
      SuperscriptBox["A", "2"], " ", "E0"}]]}], "+", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"A", ">", "1"}], ",", 
     RowBox[{
      RowBox[{"UnitBox", "[", 
       RowBox[{
        RowBox[{"E2", " ", "/", 
         RowBox[{"(", 
          FractionBox[
           RowBox[{"2", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "A"}], ")"}], " ", "E0"}], 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "A"}], ")"}], "2"]], ")"}]}], "-", 
        RowBox[{"A", "/", "2"}]}], "]"}], 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", "A"}], ")"}], "4"], " ", 
        RowBox[{"Log", "[", 
         FractionBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "A"}], ")"}], "2"], " ", "E2"}], 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "A"}], ")"}], "2"], " ", "E0"}]], 
         "]"}]}], 
       RowBox[{"16", " ", 
        SuperscriptBox["A", "2"], " ", "E0"}]]}], ",", "0"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.5452419073350782`*^9, 3.5452419360888567`*^9}, {
  3.545241969991194*^9, 3.545241973567877*^9}, {3.545242071482319*^9, 
  3.545242088904729*^9}, {3.545242139055799*^9, 3.545242155422084*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"thl", "[", 
   RowBox[{"thc_", ",", "A_"}], "]"}], ":=", 
  RowBox[{"ArcCos", "[", 
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"A", " ", 
      RowBox[{"Cos", "[", "thc", "]"}]}]}], 
    RowBox[{"Sqrt", "[", 
     RowBox[{"1", "+", 
      RowBox[{"A", "^", "2"}], "+", 
      RowBox[{"2", "A", " ", 
       RowBox[{"Cos", "[", "thc", "]"}]}]}], "]"}]], "]"}]}]], "Input",
 CellChangeTimes->{{3.545350097521394*^9, 3.545350153888632*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Prth", "[", 
   RowBox[{"thc_", ",", "A_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"1", "/", "2"}], " ", 
    RowBox[{
     RowBox[{"(", 
      FractionBox[
       RowBox[{
        SuperscriptBox["A", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"A", "+", "\[Mu]"}], ")"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SuperscriptBox["A", "2"], "+", 
          RowBox[{"2", " ", "A", " ", "\[Mu]"}]}], ")"}], 
        RowBox[{"3", "/", "2"}]]], ")"}], "^", 
     RowBox[{"-", "1"}]}]}], "/.", 
   RowBox[{"\[Mu]", "\[Rule]", 
    FractionBox[
     RowBox[{
      SqrtBox[
       RowBox[{
        SuperscriptBox["A", "2"], " ", 
        SuperscriptBox[
         RowBox[{"Cos", "[", "thc", "]"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          SuperscriptBox["A", "2"], "+", 
          SuperscriptBox[
           RowBox[{"Cos", "[", "thc", "]"}], "2"]}], ")"}]}]], "-", 
      RowBox[{"A", " ", 
       SuperscriptBox[
        RowBox[{"Sin", "[", "thc", "]"}], "2"]}]}], 
     SuperscriptBox["A", "2"]]}]}]}]], "Input",
 CellChangeTimes->{{3.5453781097422237`*^9, 3.5453781239753113`*^9}, {
  3.545378156681629*^9, 3.5453781592085533`*^9}, {3.54537823106142*^9, 
  3.5453782523331833`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"PlotE", "=", 
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{"GraphicsRow", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Pr2", "[", 
             RowBox[{"E1", ",", "E0", ",", "AA"}], "]"}], ",", 
            RowBox[{"Pr1", "[", 
             RowBox[{"E1", ",", "E0", ",", "AA"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"E1", ",", 
            RowBox[{
             FractionBox[
              RowBox[{"AA", "-", "1"}], 
              RowBox[{"AA", "+", "1"}]], 
             FractionBox["E0", "2"]}], ",", 
            RowBox[{"1.2", " ", "E0"}]}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"AA", "\[Equal]", "1"}], ",", "5", ",", "1.05"}], 
               "]"}], 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"AA", "+", "1"}], ")"}], "^", "2"}], "/", 
               RowBox[{"(", 
                RowBox[{"4", " ", "AA", " ", "E0"}], ")"}]}]}]}], "}"}]}], 
          ",", 
          RowBox[{"LabelStyle", "\[Rule]", "Medium"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", " ", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Thick", ",", "Black"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Thick", ",", "Red"}], "}"}]}], "}"}]}]}], "]"}], ",", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"AA", "\[Equal]", "1"}], ",", 
            RowBox[{"-", 
             RowBox[{"Log", "[", 
              RowBox[{"E1", "/", "E0"}], "]"}]}], ",", 
            RowBox[{
             RowBox[{"Log", "[", 
              RowBox[{"E1", "/", "E0"}], "]"}], 
             RowBox[{"(", 
              RowBox[{"1", "+", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"AA", "-", "1"}], ")"}], "^", "2"}], 
                RowBox[{
                 RowBox[{"Log", "[", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"AA", "-", "1"}], ")"}], "/", 
                   RowBox[{"(", 
                    RowBox[{"AA", "+", "1"}], ")"}]}], "]"}], "/", "2"}]}]}], 
              ")"}]}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"E1", ",", "0", ",", " ", "E0"}], "}"}], ",", 
          RowBox[{"LabelStyle", "\[Rule]", "Medium"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Thick", ",", "Red"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Thick", ",", "Red"}], "}"}]}], "}"}]}]}], "]"}]}], 
       "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"E0", ",", ".1", ",", 
         RowBox[{"Style", "[", 
          RowBox[{
          "\"\<\!\(\*SubscriptBox[\(E\), \(0\)]\)\>\"", ",", "Large"}], 
          "]"}]}], "}"}], ",", ".1", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"AA", ",", "1", ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<A\>\"", ",", "Large"}], "]"}]}], "}"}], ",", "1", ",", 
       "100"}], "}"}], ",", 
     RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.545382388152019*^9, 3.54538239081841*^9}, 
   3.545384074890167*^9, 3.545384110239431*^9, {3.545420110461742*^9, 
   3.5454201133789473`*^9}, {3.54542022306274*^9, 3.5454202427811747`*^9}, 
   3.5454202855876493`*^9, {3.545420330219328*^9, 3.5454203439629517`*^9}, {
   3.5454204272046986`*^9, 3.545420429591502*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"PlotTH", "=", 
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{"GraphicsRow", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"thl", "[", 
            RowBox[{
             RowBox[{"\[Pi]", " ", "thc"}], ",", 
             RowBox[{"Round", "[", "AA", "]"}]}], "]"}], "/", "\[Pi]"}], ",", 
          
          RowBox[{"{", 
           RowBox[{"thc", ",", "0", ",", "1"}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"0", ",", "1"}], "}"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "Medium"}], ",", 
          RowBox[{"LabelStyle", "\[Rule]", "Medium"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Thick", ",", "Black"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Thick", ",", "Red"}], "}"}]}], "}"}]}]}], "]"}], ",", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"Prth", "[", 
           RowBox[{
            RowBox[{"\[Pi]", " ", "thc"}], ",", 
            RowBox[{"Round", "[", "AA", "]"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"thc", ",", 
            RowBox[{
             RowBox[{"-", "1"}], "/", "2"}], ",", 
            RowBox[{"1", "/", "2"}]}], "}"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"0", ",", "2"}], "}"}]}], ",", 
          RowBox[{"LabelStyle", "\[Rule]", "Medium"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Thick", ",", "Red"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"Thick", ",", "Red"}], "}"}]}], "}"}]}]}], "]"}]}], 
       "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"E0", ",", ".1", ",", 
         RowBox[{"Style", "[", 
          RowBox[{
          "\"\<\!\(\*SubscriptBox[\(E\), \(0\)]\)\>\"", ",", "Large"}], 
          "]"}]}], "}"}], ",", ".1", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"AA", ",", "1", ",", 
         RowBox[{"Style", "[", 
          RowBox[{"\"\<A\>\"", ",", "Large"}], "]"}]}], "}"}], ",", "1", ",", 
       "100"}], "}"}], ",", 
     RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.545382396980278*^9, 3.545382403772262*^9}, 
   3.545419861454105*^9, {3.545420129743376*^9, 3.5454201346885843`*^9}, {
   3.5454202010979013`*^9, 3.54542021206472*^9}, {3.5454202667428164`*^9, 
   3.5454203515757656`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Energy", "Subsection",
 CellChangeTimes->{{3.545419744360299*^9, 3.545419746481903*^9}}],

Cell["\<\
Left: Energy of the scattered alpha particle after one (red) and two (black) \
collisions. Right: Number of collisions needed to reach a certain final \
energy Ef as a function of Ef.\
\>", "Text",
 CellChangeTimes->{{3.5454189890225725`*^9, 3.5454190426242666`*^9}},
 FontFamily->"Verdana"],

Cell[CellGroupData[{

Cell[BoxData["PlotE"], "Input",
 CellChangeTimes->{{3.545239346065886*^9, 3.545239346838081*^9}, {
   3.5452393798371143`*^9, 3.545239392403789*^9}, {3.545239683743824*^9, 
   3.545239714141953*^9}, {3.545240003151458*^9, 3.5452400032373962`*^9}, {
   3.545240081380918*^9, 3.545240088139233*^9}, {3.5452401394428053`*^9, 
   3.5452401431237373`*^9}, 3.545240735458856*^9, {3.545241046090719*^9, 
   3.545241074287705*^9}, {3.545241241307652*^9, 3.545241346823711*^9}, {
   3.545241379316718*^9, 3.545241398113933*^9}, {3.5452415584931498`*^9, 
   3.5452416023215513`*^9}, {3.54524168219302*^9, 3.545241745296658*^9}, {
   3.545241779133457*^9, 3.545241807092277*^9}, {3.545349797666003*^9, 
   3.5453498827038527`*^9}, {3.54537802434552*^9, 3.54537806214299*^9}, {
   3.5453782694327087`*^9, 3.54537832109378*^9}, {3.545382068944701*^9, 
   3.5453821637696877`*^9}, {3.5453822032740927`*^9, 3.545382220302925*^9}, {
   3.545382379480015*^9, 3.545382407957275*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`AA$$ = 1, $CellContext`E0$$ = 0.1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`E0$$], 0.1, 
       Style["\!\(\*SubscriptBox[\(E\), \(0\)]\)", Large]}, 0.1, 10}, {{
       Hold[$CellContext`AA$$], 1, 
       Style["A", Large]}, 1, 100}}, Typeset`size$$ = {780., {121., 125.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`E0$8312$$ = 0, $CellContext`AA$8313$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`AA$$ = 1, $CellContext`E0$$ = 0.1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`E0$$, $CellContext`E0$8312$$, 0], 
        Hold[$CellContext`AA$$, $CellContext`AA$8313$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> GraphicsRow[{
         Plot[{
           $CellContext`Pr2[$CellContext`E1, $CellContext`E0$$, \
$CellContext`AA$$], 
           $CellContext`Pr1[$CellContext`E1, $CellContext`E0$$, \
$CellContext`AA$$]}, {$CellContext`E1, (($CellContext`AA$$ - 
             1)/($CellContext`AA$$ + 1)) ($CellContext`E0$$/2), 
           1.2 $CellContext`E0$$}, 
          PlotRange -> {
           0, If[$CellContext`AA$$ == 1, 5, 1.05] (($CellContext`AA$$ + 1)^2/(
             4 $CellContext`AA$$ $CellContext`E0$$))}, LabelStyle -> Medium, 
          ImageSize -> Medium, PlotStyle -> {{Thick, Black}, {Thick, Red}}], 
         Plot[
          
          If[$CellContext`AA$$ == 1, -Log[$CellContext`E1/$CellContext`E0$$], 
           Log[$CellContext`E1/$CellContext`E0$$] (
            1 + ($CellContext`AA$$ - 1)^2 (
              Log[($CellContext`AA$$ - 1)/($CellContext`AA$$ + 1)]/
              2))], {$CellContext`E1, 0, $CellContext`E0$$}, LabelStyle -> 
          Medium, PlotStyle -> {{Thick, Red}, {Thick, Red}}]}], 
      "Specifications" :> {{{$CellContext`E0$$, 0.1, 
          Style["\!\(\*SubscriptBox[\(E\), \(0\)]\)", Large]}, 0.1, 
         10}, {{$CellContext`AA$$, 1, 
          Style["A", Large]}, 1, 100}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{825., {183., 188.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`Pr2[
         Pattern[$CellContext`E2, 
          Blank[]], 
         Pattern[$CellContext`E0, 
          Blank[]], 
         Pattern[NMR`MatOp`A, 
          Blank[]]] := 
       UnitBox[$CellContext`E2/(2 ($CellContext`E0/(NMR`MatOp`A + 1))) - 
           NMR`MatOp`A/2] (((1 + NMR`MatOp`A)^4 
           Log[$CellContext`E0/$CellContext`E2])/(16 
          NMR`MatOp`A^2 $CellContext`E0)) + 
        If[NMR`MatOp`A > 1, 
          UnitBox[$CellContext`E2/((2 (-1 + NMR`MatOp`A) $CellContext`E0)/(1 + 
              NMR`MatOp`A)^2) - NMR`MatOp`A/2] (((1 + NMR`MatOp`A)^4 
            Log[((1 + NMR`MatOp`A)^2 $CellContext`E2)/((-1 + 
                NMR`MatOp`A)^2 $CellContext`E0)])/(16 
           NMR`MatOp`A^2 $CellContext`E0)), 0], $CellContext`Pr1[
         Pattern[$CellContext`E1, 
          Blank[]], 
         Pattern[$CellContext`E0, 
          Blank[]], 
         Pattern[NMR`MatOp`A, 
          Blank[]]] := 
       UnitBox[$CellContext`E1/(2 ($CellContext`E0/(NMR`MatOp`A + 1))) - 
          NMR`MatOp`A/2] ((NMR`MatOp`A + 1)^2/(4 
         NMR`MatOp`A $CellContext`E0))}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.54523971455906*^9, {3.545240003595097*^9, 3.5452400884166403`*^9}, {
   3.5452401370293207`*^9, 3.5452401433952923`*^9}, 3.545240736247705*^9, {
   3.5452410466641903`*^9, 3.545241074633869*^9}, 3.545241200710555*^9, {
   3.545241241754509*^9, 3.5452413035528507`*^9}, {3.5452413485079*^9, 
   3.5452413985649347`*^9}, {3.545241550346225*^9, 3.545241578429578*^9}, {
   3.545241698732532*^9, 3.545241829988731*^9}, 3.545349698887336*^9, {
   3.545349809238401*^9, 3.54534991139657*^9}, {3.545378055574966*^9, 
   3.54537806316545*^9}, {3.5453782792011642`*^9, 3.545378321559849*^9}, {
   3.5453783560242043`*^9, 3.54537836113727*^9}, {3.545382125513221*^9, 
   3.5453821646785307`*^9}, {3.545382203865291*^9, 3.545382220947948*^9}, 
   3.5453824151390457`*^9, 3.545384079118964*^9, 3.545384114452353*^9, 
   3.545387488459948*^9, 3.545387581329569*^9, 3.545387667142373*^9, 
   3.5454202554015965`*^9, 3.545420290829259*^9, 3.5454203350241365`*^9, {
   3.5454203658965907`*^9, 3.545420375646608*^9}, 3.5454204362839146`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Angle", "Subsection",
 CellChangeTimes->{{3.5454198374612627`*^9, 3.5454198381164637`*^9}}],

Cell["\<\
Left: Scattering angle \[Phi]/\[Pi] in the LAB frame as a function of the \
scattering angle in the center of mass (COM) frame, \[Theta]/\[Pi]. Right: \
probability distribution function for the scattering angle  \[Phi]/\[Pi] in \
the LAB frame.\
\>", "Text",
 CellChangeTimes->{3.545419881063339*^9},
 FontFamily->"Verdana"],

Cell[CellGroupData[{

Cell[BoxData["PlotTH"], "Input",
 CellChangeTimes->{{3.5453820325372467`*^9, 3.545382037576388*^9}, {
  3.5453823947107964`*^9, 3.5453824237917423`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`AA$$ = 1, $CellContext`E0$$ = 0.1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`E0$$], 0.1, 
       Style["\!\(\*SubscriptBox[\(E\), \(0\)]\)", Large]}, 0.1, 10}, {{
       Hold[$CellContext`AA$$], 1, 
       Style["A", Large]}, 1, 100}}, Typeset`size$$ = {780., {121., 125.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`E0$7759$$ = 0, $CellContext`AA$7760$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`AA$$ = 1, $CellContext`E0$$ = 0.1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`E0$$, $CellContext`E0$7759$$, 0], 
        Hold[$CellContext`AA$$, $CellContext`AA$7760$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> GraphicsRow[{
         Plot[$CellContext`thl[Pi $CellContext`thc, 
            Round[$CellContext`AA$$]]/Pi, {$CellContext`thc, 0, 1}, 
          PlotRange -> {0, 1}, ImageSize -> Medium, LabelStyle -> Medium, 
          PlotStyle -> {{Thick, Black}, {Thick, Red}}], 
         Plot[
          $CellContext`Prth[Pi $CellContext`thc, 
           Round[$CellContext`AA$$]], {$CellContext`thc, (-1)/2, 1/2}, 
          PlotRange -> {0, 2}, LabelStyle -> Medium, 
          PlotStyle -> {{Thick, Red}, {Thick, Red}}]}], 
      "Specifications" :> {{{$CellContext`E0$$, 0.1, 
          Style["\!\(\*SubscriptBox[\(E\), \(0\)]\)", Large]}, 0.1, 
         10}, {{$CellContext`AA$$, 1, 
          Style["A", Large]}, 1, 100}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{825., {183., 188.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`thl[
         Pattern[$CellContext`thc, 
          Blank[]], 
         Pattern[NMR`MatOp`A, 
          Blank[]]] := 
       ArcCos[(1 + NMR`MatOp`A Cos[$CellContext`thc])/Sqrt[
         1 + NMR`MatOp`A^2 + 
          2 NMR`MatOp`A Cos[$CellContext`thc]]], $CellContext`Prth[
         Pattern[$CellContext`thc, 
          Blank[]], 
         Pattern[NMR`MatOp`A, 
          Blank[]]] := 
       ReplaceAll[
        1/(2 ((NMR`MatOp`A^2 (NMR`MatOp`A + $CellContext`\[Mu]))/(1 + 
           NMR`MatOp`A^2 + 2 NMR`MatOp`A $CellContext`\[Mu])^(3/
           2))), $CellContext`\[Mu] -> (
           Sqrt[NMR`MatOp`A^2 
             Cos[$CellContext`thc]^2 (-1 + NMR`MatOp`A^2 + 
              Cos[$CellContext`thc]^2)] - NMR`MatOp`A 
           Sin[$CellContext`thc]^2)/NMR`MatOp`A^2]}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.545382038874757*^9, 3.545382424235676*^9, {3.545387804926223*^9, 
   3.545387830611932*^9}, {3.5454199104381905`*^9, 3.545419920890209*^9}, {
   3.5454202965232687`*^9, 3.545420314806501*^9}, 3.5454203557409725`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1272, 752},
WindowMargins->{{6, Automatic}, {Automatic, -1}},
ShowSelection->True,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1257, 32, 212, 4, 76, "Section"],
Cell[CellGroupData[{
Cell[1494, 40, 96, 1, 36, "Subsection"],
Cell[1593, 43, 626, 20, 31, "Input"],
Cell[2222, 65, 2033, 63, 64, "Input"],
Cell[4258, 130, 481, 14, 49, "Input"],
Cell[4742, 146, 1332, 41, 61, "Input"],
Cell[6077, 189, 3989, 105, 175, "Input"],
Cell[10069, 296, 2748, 73, 112, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12854, 374, 94, 1, 36, "Subsection"],
Cell[12951, 377, 301, 6, 28, "Text"],
Cell[CellGroupData[{
Cell[13277, 387, 965, 13, 31, "Input"],
Cell[14245, 402, 5075, 98, 388, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[19369, 506, 97, 1, 36, "Subsection"],
Cell[19469, 509, 335, 7, 45, "Text"],
Cell[CellGroupData[{
Cell[19829, 520, 153, 2, 31, "Input"],
Cell[19985, 524, 3467, 72, 388, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature Hw0t8pWuchj9ZDgSrAUQe#Ls *)
