(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[     16830,        418]
NotebookOptionsPosition[     16864,        400]
NotebookOutlinePosition[     17229,        416]
CellTagsIndexPosition[     17186,        413]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[StyleBox["Coulomb (Rutherford) Scattering",
 FontFamily->"Arial",
 FontSize->24,
 FontColor->RGBColor[0.5019607843137255, 0., 0.]]], "Section",
 CellChangeTimes->{{3.545419669729768*^9, 3.5454196735049744`*^9}, {
  3.545420509011242*^9, 3.545420515017253*^9}}],

Cell[CellGroupData[{

Cell["Definitions", "Subsection",
 CellChangeTimes->{{3.5453823628533*^9, 3.54538236879709*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Scatt", "=", 
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{"Block", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"sol", "=", 
         RowBox[{"NDSolve", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{
               SuperscriptBox["rx", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
              RowBox[{"5.6", " ", 
               RowBox[{"rx", "[", "t", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"rx", "[", "t", "]"}], "2"], "+", 
                  SuperscriptBox[
                   RowBox[{"ry", "[", "t", "]"}], "2"]}], ")"}], 
                RowBox[{
                 RowBox[{"-", "3"}], "/", "2"}]]}]}], ",", 
             RowBox[{
              RowBox[{
               SuperscriptBox["ry", "\[Prime]\[Prime]",
                MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
              RowBox[{"5.6", " ", 
               RowBox[{"ry", "[", "t", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"rx", "[", "t", "]"}], "2"], "+", 
                  SuperscriptBox[
                   RowBox[{"ry", "[", "t", "]"}], "2"]}], ")"}], 
                RowBox[{
                 RowBox[{"-", "3"}], "/", "2"}]]}]}], ",", 
             RowBox[{
              RowBox[{"rx", "[", "0", "]"}], "\[Equal]", 
              RowBox[{"-", 
               FractionBox["3", 
                SuperscriptBox["10", "13"]]}]}], ",", 
             RowBox[{
              RowBox[{"ry", "[", "0", "]"}], "\[Equal]", "py"}], ",", 
             RowBox[{
              RowBox[{
               SuperscriptBox["rx", "\[Prime]",
                MultilineFunction->None], "[", "0", "]"}], "\[Equal]", 
              RowBox[{"1.53", " ", 
               SuperscriptBox["10", "7"]}]}], ",", 
             RowBox[{
              RowBox[{
               SuperscriptBox["ry", "\[Prime]",
                MultilineFunction->None], "[", "0", "]"}], "\[Equal]", 
              "0"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"rx", "[", "t", "]"}], ",", 
             RowBox[{"ry", "[", "t", "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{
              RowBox[{"-", "5"}], "/", 
              SuperscriptBox["10", "19"]}], ",", 
             FractionBox["5", 
              SuperscriptBox["10", "19"]]}], "}"}]}], "]"}]}], "}"}], ",", 
       RowBox[{
        RowBox[{"Show", "[", 
         RowBox[{
          RowBox[{"ParametricPlot", "[", 
           RowBox[{
            RowBox[{"Evaluate", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"rx", "[", "t", "]"}], ",", 
                RowBox[{"ry", "[", "t", "]"}]}], "}"}], "/.", 
              "\[InvisibleSpace]", "sol"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"t", ",", 
              RowBox[{
               RowBox[{"-", "5"}], "/", 
               SuperscriptBox["10", "19"]}], ",", 
              FractionBox["5", 
               SuperscriptBox["10", "19"]]}], "}"}], ",", 
            RowBox[{"Evaluated", "\[Rule]", "True"}], ",", 
            RowBox[{"PlotRange", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", 
                  FractionBox["6", 
                   SuperscriptBox["10", "13"]]}], ",", 
                 FractionBox["6", 
                  SuperscriptBox["10", "13"]]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", 
                  FractionBox["4.5", 
                   SuperscriptBox["10", "14"]]}], ",", 
                 FractionBox["4.4", 
                  SuperscriptBox["10", "13"]]}], "}"}]}], "}"}]}], ",", 
            RowBox[{"Axes", "\[Rule]", "False"}], ",", 
            RowBox[{"Epilog", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"Black", ",", "Thick", ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox["6", 
                    SuperscriptBox["10", "13"]]}], ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    FractionBox["6", 
                    SuperscriptBox["10", "13"]], ",", "0"}], "}"}]}], "}"}], 
                "]"}], ",", "Dashed", ",", "Gray", ",", "Thick", ",", 
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}], ",", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"rx", "[", "t", "]"}], ",", 
                    RowBox[{"ry", "[", "t", "]"}]}], "}"}], "/.", 
                    RowBox[{"First", "@", "\[InvisibleSpace]", "sol"}]}], "/.", 
                   RowBox[{"t", "->", 
                    FractionBox["5", 
                    SuperscriptBox["10", "19"]]}]}]}], "}"}], "]"}], ",", 
               RowBox[{
                RowBox[{"ColorData", "[", "\"\<Atoms\>\"", "]"}], "[", 
                "\"\<Au\>\"", "]"}], ",", 
               RowBox[{"Disk", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}], ",", 
                 FractionBox[
                  RowBox[{"3.7", " "}], 
                  SuperscriptBox["10", "14"]]}], "]"}], ",", "Black", ",", 
               RowBox[{"Text", "[", 
                RowBox[{
                 RowBox[{"Style", "[", 
                  RowBox[{"\"\<Au\>\"", ",", "Large", ",", "Bold"}], "]"}], 
                 ",", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}]}], "]"}]}], "}"}]}], ",", 
            RowBox[{"PlotStyle", "\[Rule]", 
             RowBox[{"Thickness", "[", ".005", "]"}]}], ",", 
            RowBox[{"ImageSize", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"800", ",", "400"}], "}"}]}]}], "]"}], ",", 
          RowBox[{"Graphics", "[", 
           RowBox[{"Disk", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Evaluate", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"rx", "[", "t", "]"}], ",", 
                  RowBox[{"ry", "[", "t", "]"}]}], "}"}], "/.", "sol"}], 
               "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", 
             RowBox[{"1.5", " ", 
              RowBox[{"10", "^", 
               RowBox[{"-", "14"}]}]}]}], "]"}], "]"}]}], "]"}], "/.", 
        RowBox[{"t", "\[Rule]", "tt"}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"py", ",", 
         FractionBox["1.1", 
          SuperscriptBox["10", "14"]], ",", "\"\<impact parameter\>\""}], 
        "}"}], ",", 
       FractionBox[".5", 
        SuperscriptBox["10", "15"]], ",", 
       FractionBox["1.6", 
        SuperscriptBox["10", "13"]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"tt", ",", 
         RowBox[{
          RowBox[{"-", "1.8"}], "/", 
          SuperscriptBox["10", "20"]}], ",", "\"\<time\>\""}], "}"}], ",", 
       RowBox[{
        RowBox[{"-", "1.8"}], "/", 
        SuperscriptBox["10", "20"]}], ",", 
       FractionBox["10", 
        SuperscriptBox["10", "20"]], ",", 
       RowBox[{"ControlType", "\[Rule]", "Trigger"}], ",", 
       RowBox[{"AppearanceElements", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<PlayPauseButton\>\"", ",", "\"\<ResetButton\>\""}], 
         "}"}]}], ",", 
       RowBox[{"AnimationRepetitions", "\[Rule]", "10"}], ",", 
       RowBox[{"DefaultDuration", "\[Rule]", "10"}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.545420600115402*^9, 3.5454206059342127`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Scattering animation", "Subsection",
 CellChangeTimes->{{3.545419744360299*^9, 3.545419746481903*^9}, {
   3.5454205193852606`*^9, 3.5454205300868793`*^9}, 3.54542057045975*^9}],

Cell["\<\
Scattering of an alpha particle from a gold nucleus, due to Coulomb \
repulsion. The animation shows the trajectory for a variable impact parameter\
\
\>", "Text",
 CellChangeTimes->{{3.5454189890225725`*^9, 3.5454190426242666`*^9}, {
  3.5454205576833277`*^9, 3.545420594811393*^9}},
 FontFamily->"Verdana"],

Cell[CellGroupData[{

Cell[BoxData["Scatt"], "Input",
 CellChangeTimes->{{3.545239346065886*^9, 3.545239346838081*^9}, {
   3.5452393798371143`*^9, 3.545239392403789*^9}, {3.545239683743824*^9, 
   3.545239714141953*^9}, {3.545240003151458*^9, 3.5452400032373962`*^9}, {
   3.545240081380918*^9, 3.545240088139233*^9}, {3.5452401394428053`*^9, 
   3.5452401431237373`*^9}, 3.545240735458856*^9, {3.545241046090719*^9, 
   3.545241074287705*^9}, {3.545241241307652*^9, 3.545241346823711*^9}, {
   3.545241379316718*^9, 3.545241398113933*^9}, {3.5452415584931498`*^9, 
   3.5452416023215513`*^9}, {3.54524168219302*^9, 3.545241745296658*^9}, {
   3.545241779133457*^9, 3.545241807092277*^9}, {3.545349797666003*^9, 
   3.5453498827038527`*^9}, {3.54537802434552*^9, 3.54537806214299*^9}, {
   3.5453782694327087`*^9, 3.54537832109378*^9}, {3.545382068944701*^9, 
   3.5453821637696877`*^9}, {3.5453822032740927`*^9, 3.545382220302925*^9}, {
   3.545382379480015*^9, 3.545382407957275*^9}, {3.545420609023018*^9, 
   3.545420609771819*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`py$$ = 
    1.1*^-14, $CellContext`tt$$ = -1.8*^-20, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`py$$], 1.1*^-14, "impact parameter"}, 5.*^-16, 
      1.6000000000000003`*^-13}, {{
       Hold[$CellContext`tt$$], -1.8*^-20, "time"}, -1.8*^-20, 
      Rational[1, 10000000000000000000]}}, Typeset`size$$ = {
    800., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`py$8506$$ = 
    0, $CellContext`tt$8507$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`py$$ = 
        1.1*^-14, $CellContext`tt$$ = -1.8*^-20}, "ControllerVariables" :> {
        Hold[$CellContext`py$$, $CellContext`py$8506$$, 0], 
        Hold[$CellContext`tt$$, $CellContext`tt$8507$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Block[{$CellContext`sol = 
         NDSolve[{
           Derivative[2][$CellContext`rx][NMR`MatOp`t] == 
            5.6 $CellContext`rx[
              NMR`MatOp`t] ($CellContext`rx[NMR`MatOp`t]^2 + $CellContext`ry[
                 NMR`MatOp`t]^2)^((-3)/2), 
            Derivative[2][$CellContext`ry][NMR`MatOp`t] == 
            5.6 $CellContext`ry[
              NMR`MatOp`t] ($CellContext`rx[NMR`MatOp`t]^2 + $CellContext`ry[
                 NMR`MatOp`t]^2)^((-3)/2), $CellContext`rx[
             0] == -(3/10^13), $CellContext`ry[0] == $CellContext`py$$, 
            Derivative[1][$CellContext`rx][0] == 1.53 10^7, 
            Derivative[1][$CellContext`ry][0] == 0}, {
            $CellContext`rx[NMR`MatOp`t], 
            $CellContext`ry[NMR`MatOp`t]}, {
           NMR`MatOp`t, (-5)/10^19, 5/10^19}]}, 
        ReplaceAll[
         Show[
          ParametricPlot[
           Evaluate[
            ReplaceAll[{
              $CellContext`rx[NMR`MatOp`t], 
              $CellContext`ry[NMR`MatOp`t]}, $CellContext`sol]], {
           NMR`MatOp`t, (-5)/10^19, 5/10^19}, Evaluated -> True, 
           PlotRange -> {{-(6/10^13), 6/10^13}, {-(4.5/10^14), 4.4/10^13}}, 
           Axes -> False, Epilog -> {Black, Thick, 
             Line[{{-(6/10^13), 0}, {6/10^13, 0}}], Dashed, Gray, Thick, 
             Line[{{0, 0}, 
               ReplaceAll[
                ReplaceAll[{
                  $CellContext`rx[NMR`MatOp`t], 
                  $CellContext`ry[NMR`MatOp`t]}, 
                 First[$CellContext`sol]], NMR`MatOp`t -> 5/10^19]}], 
             ColorData["Atoms"]["Au"], 
             Disk[{0, 0}, 3.7/10^14], Black, 
             Text[
              Style["Au", Large, Bold], {0, 0}]}, PlotStyle -> 
           Thickness[0.005], ImageSize -> {800, 400}], 
          Graphics[
           Disk[
            Part[
             Evaluate[
              ReplaceAll[{
                $CellContext`rx[NMR`MatOp`t], 
                $CellContext`ry[NMR`MatOp`t]}, $CellContext`sol]], 1], 1.5 
            10^(-14)]]], NMR`MatOp`t -> $CellContext`tt$$]], 
      "Specifications" :> {{{$CellContext`py$$, 1.1*^-14, "impact parameter"},
          5.*^-16, 
         1.6000000000000003`*^-13}, {{$CellContext`tt$$, -1.8*^-20, 
          "time"}, -1.8*^-20, 
         Rational[1, 10000000000000000000], ControlType -> Trigger, 
         AppearanceElements -> {"PlayPauseButton", "ResetButton"}, 
         AnimationRepetitions -> 10, DefaultDuration -> 10}}, "Options" :> {},
       "DefaultOptions" :> {}],
     ImageSizeCache->{845., {256., 261.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.54523971455906*^9, {3.545240003595097*^9, 3.5452400884166403`*^9}, {
   3.5452401370293207`*^9, 3.5452401433952923`*^9}, 3.545240736247705*^9, {
   3.5452410466641903`*^9, 3.545241074633869*^9}, 3.545241200710555*^9, {
   3.545241241754509*^9, 3.5452413035528507`*^9}, {3.5452413485079*^9, 
   3.5452413985649347`*^9}, {3.545241550346225*^9, 3.545241578429578*^9}, {
   3.545241698732532*^9, 3.545241829988731*^9}, 3.545349698887336*^9, {
   3.545349809238401*^9, 3.54534991139657*^9}, {3.545378055574966*^9, 
   3.54537806316545*^9}, {3.5453782792011642`*^9, 3.545378321559849*^9}, {
   3.5453783560242043`*^9, 3.54537836113727*^9}, {3.545382125513221*^9, 
   3.5453821646785307`*^9}, {3.545382203865291*^9, 3.545382220947948*^9}, 
   3.5453824151390457`*^9, 3.545384079118964*^9, 3.545384114452353*^9, 
   3.545387488459948*^9, 3.545387581329569*^9, 3.545387667142373*^9, 
   3.5454202554015965`*^9, 3.545420290829259*^9, 3.5454203350241365`*^9, {
   3.5454203658965907`*^9, 3.545420375646608*^9}, 3.5454204362839146`*^9, 
   3.54542061042702*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1272, 752},
WindowMargins->{{29, Automatic}, {Automatic, -1}},
ShowSelection->True,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1257, 32, 274, 5, 76, "Section"],
Cell[CellGroupData[{
Cell[1556, 41, 96, 1, 36, "Subsection"],
Cell[1655, 44, 8306, 210, 344, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9998, 259, 183, 2, 36, "Subsection"],
Cell[10184, 263, 318, 7, 28, "Text"],
Cell[CellGroupData[{
Cell[10527, 274, 1015, 14, 31, "Input"],
Cell[11545, 290, 5279, 105, 534, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature ixDHd#sQuHSqlC1ewpAvmHyg *)
