(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[      9631,        229]
NotebookOptionsPosition[      9927,        221]
NotebookOutlinePosition[     10389,        240]
CellTagsIndexPosition[     10346,        237]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 4, $CellContext`En$$ = 
    1.99, $CellContext`options$$ = {1}, $CellContext`V0$$ = 2, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`En$$], 1.99, 
       Style["Particle energy", 16]}, 0, 5}, {{
       Hold[$CellContext`V0$$], 2, 
       Style["Potential height", 16]}, 0, 5}, {{
       Hold[$CellContext`a$$], 4, 
       Style["Potential width", 16]}, 0.5, 8}, {{
       Hold[$CellContext`options$$], {1}, 
       Style["Show: ", 16]}, {1 -> Tooltip[
         Style[
          Superscript["|\[Psi](x)|", 2], 
          RGBColor[1, 0, 0], 16], "P(x), absolute value of wavefunction"], 2 -> 
       Tooltip[
         Style[" Re[\[Psi](x)] ", 
          RGBColor[0, 0, 1], 16], "Real part of wavefunction"], 3 -> Tooltip[
         Style["Im[\[Psi](x)]", 
          GrayLevel[0], 16], "Imaginary part of wavefunction"]}}}, 
    Typeset`size$$ = {825., {208., 212.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`En$252232$$ = 0, $CellContext`V0$252233$$ = 
    0, $CellContext`a$252234$$ = 0, $CellContext`options$252235$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 4, $CellContext`En$$ = 
        1.99, $CellContext`options$$ = {1}, $CellContext`V0$$ = 2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`En$$, $CellContext`En$252232$$, 0], 
        Hold[$CellContext`V0$$, $CellContext`V0$252233$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$252234$$, 0], 
        Hold[$CellContext`options$$, $CellContext`options$252235$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Block[{$CellContext`pstyle = Flatten[{{{Thick, 
              ColorData["HTML"]["ForestGreen"]}}, {
             Lighter[Orange, 0.75]}, 
            
            Part[{{Thick, Red}, {Thick, Blue}, {
              Thick, Black}}, $CellContext`options$$]}, 1]}, 
        Plot[
         Evaluate[
          
          With[{$CellContext`val$ = $CellContext`psi[$CellContext`t, \
$CellContext`En$$, $CellContext`V0$$, $CellContext`a$$]}, 
           Join[{$CellContext`En$$}, {
             $CellContext`VB[$CellContext`t, $CellContext`V0$$, \
$CellContext`a$$]}, 
            Part[{Abs[$CellContext`val$]^2, 
              Re[$CellContext`val$], 
              
              Im[$CellContext`val$]}, $CellContext`options$$]]]], \
{$CellContext`t, -8, 12}, ImageSize -> {550 1.5, 1.2 350}, AspectRatio -> 0.5,
          PlotStyle -> $CellContext`pstyle, Filling -> {2 -> Bottom}, 
         FillingStyle -> Lighter[Orange, 0.75], 
         PlotRange -> {{-9, 13}, {-2, 5}}, Epilog -> {
           Inset[
            Style["E", 
             ColorData["HTML"]["ForestGreen"], Bold, 16, "Helvetica"], {
            12.3, $CellContext`En$$ + 0.3}], 
           Inset[
            Style[
            "V", Orange, Bold, 16, "Helvetica"], {$CellContext`a$$ + 
             0.3, $CellContext`V0$$ - 0.3}]}]], 
      "Specifications" :> {{{$CellContext`En$$, 1.99, 
          Style["Particle energy", 16]}, 0, 5}, {{$CellContext`V0$$, 2, 
          Style["Potential height", 16]}, 0, 5}, {{$CellContext`a$$, 4, 
          Style["Potential width", 16]}, 0.5, 
         8}, {{$CellContext`options$$, {1}, 
          Style["Show: ", 16]}, {1 -> Tooltip[
            Style[
             Superscript["|\[Psi](x)|", 2], 
             RGBColor[1, 0, 0], 16], "P(x), absolute value of wavefunction"], 
          2 -> Tooltip[
            Style[" Re[\[Psi](x)] ", 
             RGBColor[0, 0, 1], 16], "Real part of wavefunction"], 3 -> 
          Tooltip[
            Style["Im[\[Psi](x)]", 
             GrayLevel[0], 16], "Imaginary part of wavefunction"]}, 
         ControlType -> TogglerBar}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{870., {295., 300.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`psi[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`En, 
          Blank[]], 
         Pattern[$CellContext`V0, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]]] := 
       Module[{$CellContext`k = Sqrt[2 $CellContext`En], $CellContext`q = 
          Sqrt[2 ($CellContext`En - $CellContext`V0)]}, 
         Which[$CellContext`x < 0, 
          Exp[I $CellContext`k $CellContext`x] + \
$CellContext`RR[$CellContext`k, $CellContext`q, $CellContext`a] 
           Exp[(-I) $CellContext`k $CellContext`x], 
          Abs[$CellContext`x] <= $CellContext`a, 
          
          If[$CellContext`En == $CellContext`V0, \
$CellContext`BT[$CellContext`k, $CellContext`q, $CellContext`a] + \
$CellContext`BR[$CellContext`k, $CellContext`q, $CellContext`a] \
$CellContext`x, $CellContext`BT[$CellContext`k, $CellContext`q, \
$CellContext`a] 
            Exp[I $CellContext`q $CellContext`x] + \
$CellContext`BR[$CellContext`k, $CellContext`q, $CellContext`a] 
            Exp[(-I) $CellContext`q $CellContext`x]], $CellContext`x > \
$CellContext`a, $CellContext`TT[$CellContext`k, $CellContext`q, \
$CellContext`a] Exp[I $CellContext`k $CellContext`x]]], $CellContext`RR[
         Pattern[$CellContext`kk, 
          Blank[]], 
         Pattern[$CellContext`qq, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]]] := 
       If[$CellContext`qq == 0, ($CellContext`a $CellContext`kk)/(
         2 I + $CellContext`a $CellContext`kk), (($CellContext`kk^2 - \
$CellContext`qq^2) Sin[$CellContext`a $CellContext`qq])/(
         2 I $CellContext`kk $CellContext`qq 
          Cos[$CellContext`a $CellContext`qq] + ($CellContext`kk^2 + \
$CellContext`qq^2) Sin[$CellContext`a $CellContext`qq])], $CellContext`BT[
         Pattern[$CellContext`kk, 
          Blank[]], 
         Pattern[$CellContext`qq, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]]] := 
       If[$CellContext`qq == 0, 2 - (2 I)/(
         2 I + $CellContext`a $CellContext`kk), ($CellContext`kk (-1 + \
$CellContext`RR[$CellContext`kk, $CellContext`qq, $CellContext`a] + 
           E^(I $CellContext`a ($CellContext`kk + $CellContext`qq)) \
$CellContext`TT[$CellContext`kk, $CellContext`qq, $CellContext`a]))/((-1 + 
          E^(2 I $CellContext`a $CellContext`qq)) $CellContext`qq)], \
$CellContext`TT[
         Pattern[$CellContext`kk, 
          Blank[]], 
         Pattern[$CellContext`qq, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]]] := 
       If[$CellContext`qq == 
         0, (2 I) (E^(I $CellContext`a $CellContext`kk))^(-1)/(
         2 I + $CellContext`a $CellContext`kk), -((4 
           E^(I $CellContext`a (-$CellContext`kk + $CellContext`qq)) \
$CellContext`kk $CellContext`qq)/(
          E^(2 I $CellContext`a $CellContext`qq) ($CellContext`kk - \
$CellContext`qq)^2 - ($CellContext`kk + $CellContext`qq)^2))], $CellContext`BR[
         Pattern[$CellContext`kk, 
          Blank[]], 
         Pattern[$CellContext`qq, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]]] := 
       If[$CellContext`qq == 
         0, -((2 $CellContext`kk)/(2 I + $CellContext`a $CellContext`kk)), (
          E^(2 I $CellContext`a $CellContext`qq) $CellContext`kk (-1 + \
$CellContext`RR[$CellContext`kk, $CellContext`qq, $CellContext`a]) + 
          E^(I $CellContext`a ($CellContext`kk + $CellContext`qq)) \
$CellContext`kk $CellContext`TT[$CellContext`kk, $CellContext`qq, \
$CellContext`a])/((-1 + 
          E^(2 I $CellContext`a $CellContext`qq)) $CellContext`qq)], \
$CellContext`VB[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`V0, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]]] := (-$CellContext`V0) (
         UnitStep[$CellContext`x - $CellContext`a] - 
         UnitStep[$CellContext`x]), 
       Attributes[Superscript] = {NHoldRest, ReadProtected}}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->3073654]
},
WindowSize->{1272, 684},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (October 6, 2011)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "Demonstration.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 8688, 189, 607, "Output",
 CellID->3073654]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature cup2McvddtG3dCw9Ao@@w#ym *)
